commit f1ca652bb9399186a01849590befc7726f9d7d24
parent eff51bcd26776a88633bf8608f5eaf299e11d12b
Author: Remy Noulin (Spartatek) <remy.noulin@spartatek.se>
Date: Sun, 16 Jul 2017 11:59:58 +0200
add homedir setup
.gitignore | 2 +
README.md | 12 +-
debian/1-system.sh | 18 +-
debian/2-desktopSystem.sh | 4 +-
debian/3-home.sh | 19 ++
dotfiles/.bash_aliases | 42 +++
dotfiles/.bashrc | 116 +++++++++
dotfiles/.gdbinit | 1 +
dotfiles/.gitconfig | 42 +++
dotfiles/.tmux.conf | 15 ++
dotfiles/.vimrc | 97 +++++++
dotfiles/fluxbox/apps | 14 +
.../backgrounds/wallpaper_easydoneitnet.png | Bin 0 -> 2414948 bytes
dotfiles/fluxbox/bsetbg | 16 ++
dotfiles/fluxbox/groups | 3 +
dotfiles/fluxbox/init | 116 +++++++++
dotfiles/fluxbox/initcommand | 4 +
dotfiles/fluxbox/keys | 162 ++++++++++++
dotfiles/fluxbox/menu | 214 ++++++++++++++++
dotfiles/fluxbox/menu-01-orig | 281 +++++++++++++++++++++
dotfiles/fluxbox/overlay | 2 +
dotfiles/fluxbox/slitlist | 5 +
dotfiles/fluxbox/startup | 56 ++++
.../fluxbox/styles/OrangeBlack/blackabstract.png | Bin 0 -> 737136 bytes
.../fluxbox/styles/OrangeBlack/pixmaps/bullet.xpm | 29 +++
.../styles/OrangeBlack/pixmaps/bullet_hilite.xpm | 29 +++
.../fluxbox/styles/OrangeBlack/pixmaps/close.xpm | 59 +++++
.../styles/OrangeBlack/pixmaps/close_pressed.xpm | 75 ++++++
.../fluxbox/styles/OrangeBlack/pixmaps/hilite.xpm | 50 ++++
.../fluxbox/styles/OrangeBlack/pixmaps/max.xpm | 56 ++++
.../styles/OrangeBlack/pixmaps/max_pressed.xpm | 109 ++++++++
.../fluxbox/styles/OrangeBlack/pixmaps/min.xpm | 111 ++++++++
.../styles/OrangeBlack/pixmaps/min_pressed.xpm | 67 +++++
.../fluxbox/styles/OrangeBlack/pixmaps/select.xpm | 28 ++
.../styles/OrangeBlack/pixmaps/select_hilite.xpm | 28 ++
.../fluxbox/styles/OrangeBlack/pixmaps/stick.xpm | 66 +++++
.../styles/OrangeBlack/pixmaps/stick_pressed.xpm | 61 +++++
.../fluxbox/styles/OrangeBlack/pixmaps/stuck.xpm | 61 +++++
.../fluxbox/styles/OrangeBlack/pixmaps/title.xpm | 60 +++++
.../fluxbox/styles/OrangeBlack/pixmaps/toolbar.xpm | 60 +++++
.../styles/OrangeBlack/pixmaps/toolbar_focused.xpm | 80 ++++++
.../styles/OrangeBlack/pixmaps/unselect.xpm | 28 ++
.../styles/OrangeBlack/pixmaps/unselect_hilite.xpm | 28 ++
dotfiles/fluxbox/styles/OrangeBlack/theme.cfg | 217 ++++++++++++++++
dotfiles/fluxbox/windowmenu | 15 ++
dotfiles/gittemplates/hooks/prepare-commit-msg | 10 +
dotfiles/i3/config | 173 +++++++++++++
dotfiles/mc/Tree | 1 +
dotfiles/mc/cedit/cooledit.clip | 1 +
dotfiles/mc/cedit/cooledit.macros | 0
dotfiles/mc/ini | 172 +++++++++++++
dotfiles/mc/panels.ini | 35 +++
dotfiles/vim/after/ftplugin/coffee.vim | 3 +
dotfiles/vim/after/ftplugin/css.vim | 3 +
dotfiles/vim/after/ftplugin/html.vim | 3 +
dotfiles/vim/after/ftplugin/javascript.vim | 3 +
dotfiles/vim/filetype.vim | 1 +
dotfiles/vim/ftdetect/lalista.vim | 1 +
dotfiles/vim/plugin/rc.py | 10 +
dotfiles/vim/plugin/v.vim | 10 +
dotfiles/vim/syntax/lalista.vim | 116 +++++++++
dotfiles/webs.sh | 17 ++
62 files changed, 3112 insertions(+), 5 deletions(-)
Diffstat:
62 files changed, 3114 insertions(+), 5 deletions(-)
diff --git a/.gitignore b/.gitignore
@@ -0,0 +1,2 @@
+# vim swap files
+*.sw*
diff --git a/README.md b/README.md
@@ -3,11 +3,21 @@ After booting the OS for the first time,
install git:
```
-apt-get install git
+sudo apt-get install git
```
Clone this git:
```
git clone https://github.com/RemyNoulin/systemSetup.git
+cd systemSetup
+```
+
+Debian Stretch setup:
+
+```
+cd debian
+sudo ./1-system.sh
+sudo ./2-desktopSystem.sh
+./3-home.sh
```
diff --git a/debian/1-system.sh b/debian/1-system.sh
@@ -1,11 +1,23 @@
+# setup apt sources for non-free pacakges
+sed -i 's/stretch main/stretch main contrib non-free/g' /etc/apt/sources.list
+sed -i 's/stretch\/updates main/stretch\/updates main contrib non-free/g' /etc/apt/sources.list
+# easydoneit repo
+echo 'deb http://spartatek.se/packages/ unstable/' >> /etc/apt/sources.list
+
apt-get update -y
apt-get upgrade -y
apt-get remove -y vim-tiny
-apt-get install -y fail2ban curl wget tmux build-essential ruby tree apt-transport-https screen ranger mc vim ncftp p7zip-full rtorrent pbzip2 atop htop glances tcc sshuttle finger cmatrix jigdo-file openssh-server ntp kpcli iftop iotop unison qrencode python-nose python-nosexcover apt-file libpcre3-dev graphviz pandoc elinks w3m links nmap figlet zip lynx apt-src cowsay sl tig rdiff-backup imagemagick graphicsmagick emacs24-nox llgal moreutils pwgen unattended-upgrades rsync ca-certificates pigz pixz astyle uncrustify unifdef valgrind doxygen fish gdb lcov
+apt-get install -y fail2ban curl wget tmux build-essential ruby tree apt-transport-https screen ranger mc vim ncftp p7zip-full rtorrent pbzip2 atop htop glances tcc sshuttle finger cmatrix jigdo-file openssh-server ntp kpcli iftop iotop unison qrencode python-nose python-nosexcover apt-file libpcre3-dev graphviz pandoc elinks w3m links nmap figlet zip lynx apt-src cowsay sl tig rdiff-backup imagemagick graphicsmagick emacs24-nox llgal moreutils pwgen unattended-upgrades rsync ca-certificates pigz pixz astyle uncrustify unifdef valgrind doxygen fish gdb lcov python-pip
# doitlive
+pip install doitlive
+
# lolcat
+gem install lolcat
# optional
-# rar needs aditional stup
-# apt-get install p7zip-rar rar
+apt-get install p7zip-rar rar
+apt-get install -y --allow-unauthenticated easydoneit
+
+# end
+apt-get autoremove
diff --git a/debian/2-desktopSystem.sh b/debian/2-desktopSystem.sh
@@ -1,4 +1,4 @@
-apt-get install -y i3-wm feh fluxbox eog baobab gsetroot sweep aumix geeqie audacious mplayer xine-ui meld cifs-utils keepassx gnucash texlive texi2html tigervnc-viewer xtightvncviewer gvncviewer vnc4server tightvncserver x11vnc gitk terminator xemacs21 vim-gtk wifi-radar xsane gedit universalindentgui mlterm libsixel-bin w3m-img arandr xbacklight
+apt-get install -y i3-wm feh fluxbox eog baobab gsetroot sweep aumix geeqie audacious mplayer xine-ui meld cifs-utils keepassx gnucash texlive texi2html tigervnc-viewer xtightvncviewer gvncviewer vnc4server tightvncserver x11vnc gitk terminator xemacs21 vim-gtk wifi-radar xsane gedit universalindentgui mlterm libsixel-bin w3m-img arandr xbacklight chromium thunar
# palemoon
# virtualbox
@@ -6,3 +6,5 @@ apt-get install -y i3-wm feh fluxbox eog baobab gsetroot sweep aumix geeqie auda
# optional
#apt-get install tilda conky celestia avidemux gnomebaker mhwaveedit kdebase kdebase-workspace gltron gtetrinet netris dillo
+# end
+apt-get autoremove
diff --git a/debian/3-home.sh b/debian/3-home.sh
@@ -0,0 +1,19 @@
+cp ../dotfiles/webs.sh /usr/local/bin/
+cp -R ../dotfiles/gittemplates/* ~/.gittemplates/
+cp -R ../dotfiles/vim/* ~/.vim/
+cp ../dotfiles/.tmux.conf ~/
+cp ../dotfiles/.vimrc ~/
+
+#install vim vundle
+git clone https://github.com/gmarik/Vundle.vim.git ~/.vim/bundle/Vundle.vim
+
+# in vim run :PluginInstall
+
+# i3
+cp -R ../dotfiles/i3/* ~/.i3/
+
+# fluxbox
+cp -R ../dotfiles/fluxbox/* ~/.fluxbox/
+
+# mc
+cp -R ./dotfiles/mc/* ~/.mc/
diff --git a/dotfiles/.bash_aliases b/dotfiles/.bash_aliases
@@ -0,0 +1,42 @@
+alias pss='pwgen -s -y 20 6; echo ; pwgen -s 20 6'
+alias tar="tar --use-compress-program=pbzip2"
+alias l="ls -l -h --time-style=long-iso"
+alias la="ls -ltr --time-style=long-iso"
+alias ll="ls -al --time-style=long-iso"
+alias rd="rm -rf"
+alias cd..='cd ..'
+
+# Display colors in less :
+alias less="less -R"
+
+alias duu="du -h --max-depth=1"
+alias dfh="df -h"
+
+# Screen attach detach
+alias sr="screen -r"
+alias sd="screen -d"
+alias ta="tmux attach"
+alias tad="tmux attach -d"
+
+#alias webs="w3m -no-cookie -s -W www.google.com"
+alias webs='~/bin/webs.sh'
+alias cm="cmatrix -b -u 6 -a -C blue"
+
+alias ifconfig='/sbin/ifconfig'
+alias xus="xmodmap /usr/share/xmodmap/xmodmap.us"
+alias xse="xmodmap /usr/share/xmodmap/xmodmap.se"
+
+# easydoneit
+alias ,='edi'
+alias ,l=', ls'
+alias ,lc=',l -s|tac'
+alias ,lt=',l -t|tac'
+alias ,a=', add -t'
+alias ,s=', search'
+# Add task at bottom of list
+alias ,bt=', topbot bottom;, cr'
+# Add task on top of list
+alias ,tt=', topbot top;, cr'
+
+alias lsb="export LS_COLORS=\"no=00:fi=00:di=01;34:ln=01;35:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;31:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;35:*.au=00;35:*.flac=00;35:*.mid=00;35:*.midi=00;35:*.mka=00;35:*.mp3=00;35:*.mpc=00;35:*.ogg=00;35:*.ra=00;35:*.wav=00;35:\""
+alias lsd="export LS_COLORS=\"no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:\""
diff --git a/dotfiles/.bashrc b/dotfiles/.bashrc
@@ -0,0 +1,116 @@
+# ~/.bashrc: executed by bash(1) for non-login shells.
+# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
+# for examples
+
+# If not running interactively, don't do anything
+[ -z "$PS1" ] && return
+
+# don't put duplicate lines or lines starting with space in the history.
+# See bash(1) for more options
+HISTCONTROL=ignoreboth
+
+# append to the history file, don't overwrite it
+shopt -s histappend
+
+# don't put duplicate lines in the history. See bash(1) for more options
+export HISTCONTROL=ignoredups
+
+# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
+export HISTSIZE=100000
+export HISTFILESIZE=100000
+export HISTTIMEFORMAT="%y-%m-%d %T "
+
+# default editor
+export EDITOR=vim
+
+# check the window size after each command and, if necessary,
+# update the values of LINES and COLUMNS.
+shopt -s checkwinsize
+
+# If set, the pattern "**" used in a pathname expansion context will
+# match all files and zero or more directories and subdirectories.
+#shopt -s globstar
+
+# make less more friendly for non-text input files, see lesspipe(1)
+#[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"
+
+# set variable identifying the chroot you work in (used in the prompt below)
+if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
+ debian_chroot=$(cat /etc/debian_chroot)
+fi
+
+# set a fancy prompt (non-color, unless we know we "want" color)
+case "$TERM" in
+ xterm-color) color_prompt=yes;;
+esac
+
+# uncomment for a colored prompt, if the terminal has the capability; turned
+# off by default to not distract the user: the focus in a terminal window
+# should be on the output of commands, not on the prompt
+force_color_prompt=yes
+
+if [ -n "$force_color_prompt" ]; then
+ if [ -x /usr/bin/tput ] && tput setaf 1 >&/dev/null; then
+ # We have color support; assume it's compliant with Ecma-48
+ # (ISO/IEC-6429). (Lack of such support is extremely rare, and such
+ # a case would tend to support setf rather than setaf.)
+ color_prompt=yes
+ else
+ color_prompt=
+ fi
+fi
+
+if [ "$color_prompt" = yes ]; then
+ #PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[00m\]\$ '
+ #PS1="\[\e]0;\w\a\]\n\[\e[32m\]\u@\h\[\e[33m\]:\w\[\e[0m\]> "
+ PS1="\[\e]0;\w\a\]\n\[\e[32m\]\u@\h\[\e[33m\]:\w\[\e[0m\] \D{%m-%d %H:%M}> "
+else
+ PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
+fi
+unset color_prompt force_color_prompt
+
+# If this is an xterm set the title to user@host:dir
+case "$TERM" in
+xterm*|rxvt*)
+ PS1="\[\e]0;${debian_chroot:+($debian_chroot)}\u@\h: \w\a\]$PS1"
+ ;;
+*)
+ ;;
+esac
+
+# enable color support of ls and also add handy aliases
+if [ -x /usr/bin/dircolors ]; then
+ test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
+ alias ls='ls --color=auto'
+ #alias dir='dir --color=auto'
+ #alias vdir='vdir --color=auto'
+
+ alias grep='grep --color=always'
+ #alias fgrep='fgrep --color=auto'
+ #alias egrep='egrep --color=auto'
+fi
+
+# some more ls aliases
+#alias ll='ls -l'
+#alias la='ls -A'
+#alias l='ls -CF'
+
+# Alias definitions.
+# You may want to put all your additions into a separate file like
+# ~/.bash_aliases, instead of adding them here directly.
+# See /usr/share/doc/bash-doc/examples in the bash-doc package.
+
+if [ -f ~/.bash_aliases ]; then
+ . ~/.bash_aliases
+fi
+
+# enable programmable completion features (you don't need to enable
+# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
+# sources /etc/bash.bashrc).
+if ! shopt -oq posix; then
+ if [ -f /usr/share/bash-completion/bash_completion ]; then
+ . /usr/share/bash-completion/bash_completion
+ elif [ -f /etc/bash_completion ]; then
+ . /etc/bash_completion
+ fi
+fi
diff --git a/dotfiles/.gdbinit b/dotfiles/.gdbinit
@@ -0,0 +1 @@
+set disassembly-flavor intel
diff --git a/dotfiles/.gitconfig b/dotfiles/.gitconfig
@@ -0,0 +1,42 @@
+[color]
+ ui = auto
+[core]
+ editor = vim
+[diff]
+ tool = meld
+[difftool]
+ prompt = false
+[difftool "meld"]
+ cmp = /usr/bin/meld "$LOCAL" "$REMOTE"
+[merge]
+ tool = meld
+[mergetool]
+ prompt = false
+ keepbackup = false
+[mergetool "meld"]
+ cmp = /usr/bin/meld "$LOCAL" "$REMOTE" "$MERGED"
+ trustExitCode = true
+[alias]
+ st = status
+ di = diff
+ co = checkout
+ ci = commit
+ br = branch
+ sta = stash
+ mergetool-modelint = mergetool -t modelint
+ mergetool-bcomp = mergetool -t bcomp
+
+ gg = log --oneline --abbrev-commit --all --graph --decorate --color
+ whois = "!sh -c 'git log -i -1 --pretty=\"format:%an <%ae>\n\" --author=\"$1\"' -"
+ whatis = show -s --pretty='tformat:%h (%s, %ad)' --date=short
+ sortdiff = !sh -c 'git diff "$@" | grep "^[+-]" | sort --key=1.2 | uniq -u -s1'
+ lg = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit --date=relative
+ abbr = "!sh -c 'git rev-list --all | grep ^$1 | while read commit; do git --no-pager log -n1 --pretty=format:\"%H %ci %an %s%n\" $commit; done' -"
+ bra = branch -a
+ lol = log --decorate --pretty=oneline --abbrev-commit
+ lola = log --decorate --pretty=oneline --abbrev-commit --all
+
+[apply]
+ whitespace = fix
+[init]
+ templatedir=~/.gittemplates/
diff --git a/dotfiles/.tmux.conf b/dotfiles/.tmux.conf
@@ -0,0 +1,15 @@
+set-option -g prefix C-a
+bind-key C-a last-window
+bind-key a send-prefix
+
+set -g history-limit 20000
+
+set-option -g status off
+
+set -g set-titles on
+set -g set-titles-string "#T"
+
+# https://github.com/seebi/tmux-colors-solarized/blob/master/tmuxcolors-256.conf
+#set-option -g status-bg colour235 #base02
+#set-option -g status-fg colour136 #yellow
+#set-option -g status-attr default
diff --git a/dotfiles/.vimrc b/dotfiles/.vimrc
@@ -0,0 +1,97 @@
+set nocompatible " be iMproved, required
+filetype off " required
+" set the runtime path to include Vundle and initialize
+set rtp+=~/.vim/bundle/Vundle.vim
+call vundle#begin()
+" alternatively, pass a path where Vundle should install plugins
+"call vundle#begin('~/some/path/here')
+
+" let Vundle manage Vundle, required
+Plugin 'gmarik/Vundle.vim'
+
+" Add plugins below
+
+" vim-easymotion
+Plugin 'Lokaltog/vim-easymotion'
+
+" vim-fugitive
+Plugin 'tpope/vim-fugitive'
+
+" nerdtree
+Plugin 'scrooloose/nerdtree'
+
+" tcomment_vim
+Plugin 'tomtom/tcomment_vim'
+
+" vim-surround
+Plugin 'tpope/vim-surround'
+
+" vim-jade
+Plugin 'digitaltoad/vim-jade'
+
+" vim-coffee-script
+Plugin 'kchmck/vim-coffee-script'
+
+" vim-javascript
+Plugin 'pangloss/vim-javascript'
+
+" SnipMate
+Plugin 'MarcWeber/vim-addon-mw-utils'
+Plugin 'tomtom/tlib_vim'
+Plugin 'garbas/vim-snipmate'
+
+" Optional
+Plugin 'honza/vim-snippets'
+
+" Tabular
+Plugin 'godlygeek/tabular'
+
+" All of your Plugins must be added before the following line
+call vundle#end() " required
+filetype plugin indent on " required
+" To ignore plugin indent changes, instead use:
+"filetype plugin on
+"
+" Brief help
+" :PluginList - lists configured plugins
+" :PluginInstall - installs plugins; append `!` to update or just :PluginUpdate
+" :PluginSearch foo - searches for foo; append `!` to refresh local cache
+" :PluginClean - confirms removal of unused plugins; append `!` to auto-approve removal
+"
+" see :h vundle for more details or wiki for FAQ
+" Put your non-Plugin stuff after this line
+
+" Pathogen
+execute pathogen#infect()
+
+
+map <C-n> :NERDTreeToggle<CR>
+
+
+
+let g:EasyMotion_do_mapping = 0 " Disable default mappings
+"+2 char
+" Bi-directional find motion
+" Jump to anywhere you want with minimal keystrokes, with just one key binding.
+" `s{char}{label}`
+"nmap s <Plug>(easymotion-s)
+" or
+" `s{char}{char}{label}`
+" Need one more keystroke, but on average, it may be more comfortable.
+nmap s <Plug>(easymotion-s2)
+
+" Turn on case insensitive feature
+let g:EasyMotion_smartcase = 1
+
+" JK motions: Line motions
+map <Leader>j <Plug>(easymotion-j)
+map <Leader>k <Plug>(easymotion-k)
+
+" fold coffee files
+autocmd BufNewFile,BufReadPost *.coffee setl foldmethod=indent foldenable
+source ~/.vim/plugin/v.vim
+set ruler
+autocmd BufWritePre * %s/\s\+$//e
+
+set path+=**
+set wildmenu
diff --git a/dotfiles/fluxbox/apps b/dotfiles/fluxbox/apps
@@ -0,0 +1,14 @@
+[group] (workspace=[current])
+ [app] (name=kwrite)
+[end]
+[group] (workspace=[current])
+ [app] (name=aterm)
+[end]
+[group] (workspace=[current])
+ [app] (name=dillo)
+[end]
+[app] (name=fbrun)
+ [Position] (WINCENTER) {0 0}
+ [Layer] {2}
+[end]
+
diff --git a/dotfiles/fluxbox/backgrounds/wallpaper_easydoneitnet.png b/dotfiles/fluxbox/backgrounds/wallpaper_easydoneitnet.png
Binary files differ.
diff --git a/dotfiles/fluxbox/bsetbg b/dotfiles/fluxbox/bsetbg
@@ -0,0 +1,16 @@
+#
+# automagically generated with loving care by bsetbg 1.12 on Fri Dec 5 22:26:53 CET 2003
+#
+# uncomment the set below that corresponds to your favorite root-image
+# application, or mix and match to suit your pleasure.
+#
+# xli misbehaves under larger screen resolutions when using the -fillscreen
+# option. use -fullscreen if your resolution is higher than 1024x768.
+#
+
+### xsetbg (xli)
+FULL="xsetbg -border black -fullscreen"
+TILE="xsetbg -border black"
+CENTER="xsetbg -border black -center"
+DEFAULT="xsetbg -border black -center"
+
diff --git a/dotfiles/fluxbox/groups b/dotfiles/fluxbox/groups
@@ -0,0 +1,3 @@
+kwrite
+aterm
+dillo+
\ No newline at end of file
diff --git a/dotfiles/fluxbox/init b/dotfiles/fluxbox/init
@@ -0,0 +1,116 @@
+session.titlebar.left: Stick
+session.titlebar.right: Minimize Maximize Close
+session.screen0.overlay.lineWidth: 1
+session.screen0.overlay.lineStyle: LineSolid
+session.screen0.overlay.joinStyle: JoinMiter
+session.screen0.overlay.capStyle: CapNotLast
+session.screen0.window.focus.alpha: 211
+session.screen0.window.unfocus.alpha: 166
+session.screen0.tabs.intitlebar: true
+session.screen0.tabs.usePixmap: false
+session.screen0.tabs.maxOver: false
+session.screen0.titlebar.left: Stick
+session.screen0.titlebar.right: Minimize Maximize Close
+session.screen0.clientMenu.usePixmap: true
+session.screen0.toolbar.visible: true
+session.screen0.toolbar.maxOver: false
+session.screen0.toolbar.autoHide: false
+session.screen0.toolbar.layer: Desktop
+session.screen0.toolbar.height: 0
+session.screen0.toolbar.onTop: false
+session.screen0.toolbar.tools: workspacename, prevworkspace, nextworkspace, iconbar, systemtray, prevwindow, nextwindow, clock
+session.screen0.toolbar.alpha: 255
+session.screen0.toolbar.onhead: 0
+session.screen0.toolbar.placement: BottomRight
+session.screen0.toolbar.widthPercent: 25
+session.screen0.tab.rotatevertical: true
+session.screen0.tab.width: 64
+session.screen0.tab.height: 16
+session.screen0.tab.alignment: Left
+session.screen0.tab.placement: TopLeft
+session.screen0.menu.alpha: 170
+session.screen0.slit.maxOver: false
+session.screen0.slit.onHead: 0
+session.screen0.slit.autoHide: false
+session.screen0.slit.layer: Dock
+session.screen0.slit.onhead: 0
+session.screen0.slit.onTop: False
+session.screen0.slit.alpha: 255
+session.screen0.slit.acceptKdeDockapps: true
+session.screen0.slit.direction: Vertical
+session.screen0.slit.placement: RightCenter
+session.screen0.iconbar.iconWidth: 70
+session.screen0.iconbar.usePixmap: true
+session.screen0.iconbar.mode: {static groups} (workspace)
+session.screen0.iconbar.deiconifyMode: Follow
+session.screen0.iconbar.wheelMode: Screen
+session.screen0.iconbar.iconTextPadding: 10
+session.screen0.iconbar.alignment: Relative
+session.screen0.fullMaximization: true
+session.screen0.antialias: false
+session.screen0.defaultDeco: NORMAL
+session.screen0.windowScrollReverse: false
+session.screen0.colPlacementDirection: TopToBottom
+session.screen0.opaqueMove: false
+session.screen0.dateFormat: American
+session.screen0.windowScrollAction:
+session.screen0.sloppywindowgrouping: true
+session.screen0.desktopwheeling: true
+session.screen0.windowMenu:
+session.screen0.workspacewarping: true
+session.screen0.imageDither: false
+session.screen0.reversewheeling: false
+session.screen0.noFocusWhileTypingDelay: 0
+session.screen0.focusNewWindows: true
+session.screen0.workspaces: 4
+session.screen0.resizeMode: Bottom
+session.screen0.maxIgnoreIncrement: true
+session.screen0.clockFormat: 12
+session.screen0.menuMode: Delay
+session.screen0.windowPlacement: RowSmartPlacement
+session.screen0.strftimeFormat: %k:%M
+session.screen0.autoRaise: false
+session.screen0.maxDisableMove: false
+session.screen0.clickRaises: true
+session.screen0.menuDelay: 0
+session.screen0.focusSameHead: false
+session.screen0.showwindowposition: true
+session.screen0.focusLastWindow: true
+session.screen0.maxDisableResize: false
+session.screen0.edgeSnapThreshold: 0
+session.screen0.focusModel: MouseFocus
+session.screen0.decorateTransient: false
+session.screen0.rowPlacementDirection: LeftToRight
+session.screen0.tooltipDelay: 500
+session.screen0.menuDelayClose: 0
+session.screen0.followModel: Ignore
+session.screen0.maxOverSlit: true
+session.screen0.tabFocusModel: ClickToTabFocus
+session.screen0.allowRemoteActions: false
+session.screen0.workspaceNames: manager,net,edi,office,
+session.screen0.rootCommand: ~/.fluxbox/initcommand
+session.numLayers: 13
+session.colorsPerChannel: 4
+session.forcePseudoTransparency: false
+session.styleFile: /usr/share/fluxbox/styles/ostrich
+session.cacheLife: 5
+session.configVersion: 13
+session.updateDelayTime: 0
+session.ignoreBorder: false
+session.opaqueMove: true
+session.tabsAttachArea: Window
+session.autoRaiseDelay: 250
+session.slitlistFile: ~/.fluxbox/slitlist
+session.doubleClickInterval: 250
+session.keyFile: ~/.fluxbox/keys
+session.tabs: true
+session.groupFile: ~/.fluxbox/groups
+session.tabPadding: 0
+session.modKey: Mod1
+session.styleOverlay: ~/.fluxbox/overlay
+session.cacheMax: 200
+session.appsFile: ~/.fluxbox/apps
+session.focusTabMinWidth: 0
+session.useMod1: true
+session.iconbar: true
+session.menuFile: ~/.fluxbox/menu
diff --git a/dotfiles/fluxbox/initcommand b/dotfiles/fluxbox/initcommand
@@ -0,0 +1,4 @@
+#NOT USED
+
+#tilda &
+#conky -d
diff --git a/dotfiles/fluxbox/keys b/dotfiles/fluxbox/keys
@@ -0,0 +1,162 @@
+# click on the desktop to get menus
+OnDesktop Mouse1 :HideMenus
+OnDesktop Mouse2 :WorkspaceMenu
+OnDesktop Mouse3 :RootMenu
+
+# scroll on the desktop to change workspaces
+OnDesktop Mouse4 :PrevWorkspace
+OnDesktop Mouse5 :NextWorkspace
+
+# scroll on the toolbar to change current window
+OnToolbar Mouse4 :PrevWindow {static groups} (iconhidden=no)
+OnToolbar Mouse5 :NextWindow {static groups} (iconhidden=no)
+
+# alt + left/right click to move/resize a window
+OnWindow Mod1 Mouse1 :MacroCmd {Raise} {Focus} {StartMoving}
+OnWindowBorder Move1 :StartMoving
+
+OnWindow Mod1 Mouse3 :MacroCmd {Raise} {Focus} {StartResizing NearestCorner}
+OnLeftGrip Move1 :StartResizing bottomleft
+OnRightGrip Move1 :StartResizing bottomright
+
+# alt + middle click to lower the window
+OnWindow Mod1 Mouse2 :Lower
+
+# control-click a window's titlebar and drag to attach windows
+OnTitlebar Control Mouse1 :StartTabbing
+
+# double click on the titlebar to shade
+OnTitlebar Double Mouse1 :Shade
+
+# left click on the titlebar to move the window
+OnTitlebar Mouse1 :MacroCmd {Raise} {Focus} {ActivateTab}
+OnTitlebar Move1 :StartMoving
+
+# middle click on the titlebar to lower
+OnTitlebar Mouse2 :Lower
+
+# right click on the titlebar for a menu of options
+OnTitlebar Mouse3 :WindowMenu
+
+# alt-tab
+Mod1 Tab :NextWindow {groups} (workspace=[current])
+Mod1 Shift Tab :PrevWindow {groups} (workspace=[current])
+
+# cycle through tabs in the current window
+Mod4 Tab :NextTab
+Mod4 Shift Tab :PrevTab
+
+# go to a specific tab in the current window
+#Mod4 1 :Tab 1
+#Mod4 2 :Tab 2
+#Mod4 3 :Tab 3
+#Mod4 4 :Tab 4
+#Mod4 5 :Tab 5
+#Mod4 6 :Tab 6
+#Mod4 7 :Tab 7
+#Mod4 8 :Tab 8
+#Mod4 9 :Tab 9
+
+# open a terminal
+#Mod1 F1 :Exec x-terminal-emulator
+
+# open a dialog to run programs
+#Mod1 F2 :Exec fbrun
+
+# volume settings, using common keycodes
+# if these don't work, use xev to find out your real keycodes
+#176 :Exec amixer sset Master,0 1+
+#174 :Exec amixer sset Master,0 1-
+#160 :Exec amixer sset Master,0 toggle
+
+# current window commands
+#Mod1 F4 :Close
+#Mod1 F5 :Kill
+#Mod1 F9 :Minimize
+#Mod1 F10 :Maximize
+#Mod1 F11 :Fullscreen
+
+# open the window menu
+Mod1 space :WindowMenu
+
+# exit fluxbox
+Control Mod1 Delete :Exit
+
+# change to previous/next workspace
+Control Mod1 Left :PrevWorkspace
+Control Mod1 Right :NextWorkspace
+
+# send the current window to previous/next workspace
+Mod4 Left :SendToPrevWorkspace
+Mod4 Right :SendToNextWorkspace
+
+# send the current window and follow it to previous/next workspace
+Control Mod4 Left :TakeToPrevWorkspace
+Control Mod4 Right :TakeToNextWorkspace
+
+# change to a specific workspace
+Control F1 :Workspace 1
+Control F2 :Workspace 2
+Control F3 :Workspace 3
+Control F4 :Workspace 4
+Control F5 :Workspace 5
+Control F6 :Workspace 6
+Control F7 :Workspace 7
+Control F8 :Workspace 8
+Control F9 :Workspace 9
+Control F10 :Workspace 10
+Control F11 :Workspace 11
+Control F12 :Workspace 12
+
+# send the current window to a specific workspace
+Mod4 F1 :SendToWorkspace 1
+Mod4 F2 :SendToWorkspace 2
+Mod4 F3 :SendToWorkspace 3
+Mod4 F4 :SendToWorkspace 4
+Mod4 F5 :SendToWorkspace 5
+Mod4 F6 :SendToWorkspace 6
+Mod4 F7 :SendToWorkspace 7
+Mod4 F8 :SendToWorkspace 8
+Mod4 F9 :SendToWorkspace 9
+Mod4 F10 :SendToWorkspace 10
+Mod4 F11 :SendToWorkspace 11
+Mod4 F12 :SendToWorkspace 12
+
+# send the current window and change to a specific workspace
+Control Mod4 F1 :TakeToWorkspace 1
+Control Mod4 F2 :TakeToWorkspace 2
+Control Mod4 F3 :TakeToWorkspace 3
+Control Mod4 F4 :TakeToWorkspace 4
+Control Mod4 F5 :TakeToWorkspace 5
+Control Mod4 F6 :TakeToWorkspace 6
+Control Mod4 F7 :TakeToWorkspace 7
+Control Mod4 F8 :TakeToWorkspace 8
+Control Mod4 F9 :TakeToWorkspace 9
+Control Mod4 F10 :TakeToWorkspace 10
+Control Mod4 F11 :TakeToWorkspace 11
+Control Mod4 F12 :TakeToWorkspace 12
+
+
+# my changes
+Mod4 A :Exec x-terminal-emulator
+Mod4 Q :Close
+# doesnt work
+Mod4 1 :Workspace 1
+Mod4 2 :Workspace 2
+Mod4 3 :Workspace 3
+Mod4 4 :Workspace 4
+Mod4 5 :Workspace 5
+Mod4 6 :Workspace 6
+Mod4 7 :Workspace 7
+Mod4 8 :Workspace 8
+Mod4 9 :Workspace 9
+Mod4 0 :Workspace 10
+Control Escape :RootMenu
+Mod1 F1 :RootMenu
+Mod4 E :ExecCommand thunar
+Mod4 D :ExecCommand dillo www.google.com
+Mod4 Z :ExecCommand firefox -ProfileManager -no-remote
+Mod4 V :ExecCommand xfce4-mixer
+Mod4 L :Quit
+Mod4 T :ToggleDecor
+Mod4 M :Fullscreen
diff --git a/dotfiles/fluxbox/menu b/dotfiles/fluxbox/menu
@@ -0,0 +1,214 @@
+# Menu
+
+[begin] (fluxbox)
+
+[exec] (edi) {~/easydoneit_desktop/edi_desktop}
+[exec] (keepass) {keepassx}
+[exec] (google-chrome) {google-chrome}
+[exec] (vivaldi) {vivaldi}
+[exec] (system monitor) {gnome-system-monitor}
+
+
+#[exec] (Explore Konqueror) {/usr/bin/konqueror --profile filemanagement}
+[submenu] (My medias) {}
+#[exec] (WMXMMS) {wmxmms}
+#[exec] (XMMS) {xmms}
+#[exec] (rss) {liferea}
+[exec] (Gqview) {gqview}
+[exec] (Audacious) {audacious}
+#[exec] (Picasa) {picasa}
+[exec] (xine media player) {/usr/bin/xine}
+[exec] (Mplayer) {/usr/bin/gmplayer}
+[exec] (The GIMP) {/usr/bin/gimp}
+#[exec] (gtranscode) {gtranscode}
+#[exec] (RIO 500) {gnome-rio}
+#[exec] (kuickshow) {kuickshow}
+[end]
+
+[submenu] (My utils) {}
+[exec] (open office) {/usr/bin/openoffice.org}
+#[exec] (skype) {/usr/bin/skype}
+[exec] (gaim) {/usr/bin/pidgin}
+#[exec] (Celestia) {celestia}
+#[exec] (tilda) {/usr/bin/tilda}
+[exec] (avidemux) {/usr/bin/avidemux}
+[exec] (gnomebaker) {/usr/bin/gnomebaker}
+#[exec] (X Chat) {/usr/bin/xchat}
+#[exec] (GnomeMeeting) {/usr/bin/gnomemeeting}
+#[exec] (x0rfbserver) {/usr/bin/x0rfbserver}
+#[exec] (-----------) {sed}
+# [submenu] (WEB - MAIL) {}
+# [exec] (Mozilla Navigator) {mozilla}
+# [exec] (firefox) {mozilla-firefox}
+# [exec] (thunderbird) {mozilla-thunderbird}
+# [exec] (Web Konqueror) {/usr/bin/konqueror --profile webbrowsing}
+# [end]
+[exec] (Acrobat Reader) {/usr/bin/acroread}
+#[exec] (KCalc) {/usr/bin/kcalc}
+#[exec] (KCron) {/usr/bin/kcron}
+[exec] (Nautilus) {nautilus --no-desktop}
+#[exec] (nicotine) {nicotine}
+[exec] (dirstat) {/usr/bin/baobab}
+#[exec] (kdirstat) {kdirstat}
+#[exec] (ksysguard) {ksysguard}
+[exec] (system monitor) {gnome-system-monitor}
+#[exec] (boinc) {boincmgr}
+#[exec] (blender) {/usr/bin/blender}
+#[exec] (ekiga) {ekiga}
+[end]
+
+ [submenu] (Prgs) {}
+ [submenu] (Games) {}
+#emulateur PC [exec] (Bochs) {/usr/bin/bochs}
+# [exec] (tuxpuck) {tuxpuck}
+ # [exec] (gridwars) {gridwars}
+ [exec] (blockout) {blockout2}
+ [exec] (gltron) {gltron}
+ [exec] (frozen bubble) {/usr/games/frozen-bubble}
+ [exec] (Nerverball) {/usr/games/neverball}
+# [exec] (Same) {/usr/games/same-gnome}
+# [exec] (celestia) {celestia}
+# [exec] (doom) {/usr/games/llxdoom -opengl -IWAD /data/Games/Doom-Quake/DOOM3/DOOM2.WAD -mb 32}
+# [exec] (tuxracer) {/usr/games/tuxracer}
+# [exec] (Mame) {/usr/bin/bochs}
+# [exec] (Amiga) {/usr/bin/bochs}
+# [exec] (Lincity) {/usr/games/xlincity}
+ [exec] (GTetrinet) {/usr/games/gtetrinet}
+ [exec] (Netris) { x-terminal-emulator -T "Netris" -e /usr/games/netris}
+ [end]
+
+# [submenu] (Editors) {}
+# [exec] (Kate) {/usr/bin/kate}
+# [exec] (KEdit) {/usr/bin/kedit}
+# [exec] (KWrite) {/usr/bin/kwrite}
+# [exec] (LyX (Qt\)) {/usr/bin/lyx-qt}
+# [end]
+
+# [submenu] (Programming) {}
+# [exec] (Cervisia) {cervisia}
+# [exec] (KDevelop) {/usr/bin/kdevelop}
+# [exec] (KDevelop Setup) {/usr/bin/kdevelop --setup}
+# [exec] (Python \(v2.1\)) { x-terminal-emulator -T "Python \(v2.1\)" -e /usr/bin/python2.1}
+# [exec] (Python \(v2.2\)) { x-terminal-emulator -T "Python \(v2.2\)" -e /usr/bin/python2.2}
+# [exec] (Python \(v2.3\)) { x-terminal-emulator -T "Python \(v2.3\)" -e /usr/bin/python2.3}
+# [exec] (Tclsh8.3) { x-terminal-emulator -T "Tclsh8.3" -e /usr/bin/tclsh8.3}
+# [exec] (Tclsh8.4) { x-terminal-emulator -T "Tclsh8.4" -e /usr/bin/tclsh8.4}
+# [exec] (TkWish8.3) {x-terminal-emulator -e /usr/bin/wish8.3}
+# [exec] (TkWish8.4) {x-terminal-emulator -e /usr/bin/wish8.4}
+# [end]
+
+ [submenu] (Sound) {}
+ [exec] (Sweep) {sweep}
+ [exec] (mh Wave Edit) {mhwaveedit}
+ [exec] (aumix (GTK\)) {/usr/bin/aumix}
+ [exec] (Audacity) {/usr/bin/audacity}
+# [exec] (DBfsd) { x-terminal-emulator -T "DBfsd" -e /usr/bin/dbfsd}
+# [exec] (DBmixer) {/usr/bin/dbmixer}
+# [exec] (DBplaylist) {/usr/bin/dbplaylist}
+ [end]
+[end]
+
+[submenu] (Fluxbox) {}
+ [restart] (Restart)
+ [reconfig] (Reconfigure)
+# [exec] (Edit Menu) {/usr/bin/kwrite ~/.fluxbox/menu}
+# [exec] (Edit key shortcuts) {/usr/bin/kwrite ~/.fluxbox/keys}
+ [exec] (KDE Control) {kcontrol}
+ [exec] (GNOME Control) {gnome-control-center}
+ [config] (Configuration)
+ [submenu] (Styles) {}
+ [stylesdir] (/usr/share/fluxbox/styles)
+ [stylesdir] (~/.fluxbox/styles)
+ [end]
+# click on workspace selection [workspaces] (Workspaces)
+ [submenu] (System) {}
+# [exec] (aptitude) { x-terminal-emulator -T "aptitude" -e /usr/bin/aptitude}
+ [exec] (Synaptic) {gksu /usr/sbin/synaptic}
+ [exec] (Gnome Control Center) {/usr/bin/gnome-control-center}
+ [exec] (Imlib Config) {/usr/bin/imlib_config}
+ [exec] (KControl) {/usr/bin/kcontrol}
+ [exec] (kdepasswd) {/usr/bin/kdepasswd}
+ [exec] (KDiskFree) {/usr/bin/kdf}
+ [exec] (KEditBookmarks) {/usr/bin/keditbookmarks}
+ [exec] (KFind) {/usr/bin/kfind}
+ [exec] (KPersonalizer) {/usr/bin/kpersonalizer}
+ [exec] (kwikdisk) {/usr/bin/kwikdisk}
+ [exec] (Nautilus) {/usr/bin/nautilus}
+ [exec] (Partition Image) { x-terminal-emulator -T "Partition Image" -e /usr/sbin/partimage}
+ [exec] (pstree) {x-terminal-emulator -e /usr/bin/pstree.x11}
+ [exec] (Run as different user (GKsu\)) {/usr/bin/gksuexec}
+ [exec] (Task selector) { x-terminal-emulator -T "Task selector" -e /usr/sbin/su-to-root -c /usr/bin/tasksel}
+ [exec] (Top) { x-terminal-emulator -T "Top" -e /usr/bin/top}
+ [exec] (Xload) {xload}
+ [end]
+ [submenu] (Tools) {}
+ [exec] (Ark) {/usr/bin/ark}
+ [exec] (KCharSelect) {/usr/bin/kcharselect}
+ [exec] (KHexEdit) {/usr/bin/khexedit}
+ [exec] (KJots) {/usr/bin/kjots}
+ [exec] (KTimer) {/usr/bin/ktimer}
+ [exec] (mc) { x-terminal-emulator -T "mc" -e /usr/bin/mc}
+ [exec] (The GNU Privacy Assistant) {/usr/bin/gpa}
+ [exec] (USB View) {/usr/bin/usbview}
+ [exec] (X Window Snapshot) {xwd | xwud}
+ [exec] (Xclipboard) {xclipboard}
+ [exec] (Xcutsel) {xcutsel}
+ [exec] (Xev) {x-terminal-emulator -e xev}
+ [exec] (XFbd) {xfbd -i}
+ [exec] (XFce) {xfce}
+ [exec] (XFMouse) {xfmouse -i}
+ [exec] (Xfontsel) {xfontsel}
+ [exec] (XFTree) {xftree}
+ [exec] (Xkill) {xkill}
+ [exec] (Xmag) {xmag}
+ [exec] (Xrefresh) {xrefresh}
+ [exec] (Xclock (analog\)) {xclock -analog}
+ [exec] (Xclock (digital\)) {xclock -digital -update 1}
+ [exec] (Oclock) {oclock}
+ [exec] (Rclock) {rclock}
+ [exec] (XFClock) {xfclock}
+ [end]
+ [exec] (ubuntu Update manager) {update-manager}
+
+# [submenu] (Viewers) {}
+# [exec] (Gtk+ VideoLAN Client) {/usr/bin/gvlc}
+# [exec] (gtv MPEG player) {/usr/bin/gtv}
+# [exec] (GV) {/usr/bin/X11/gv}
+# [exec] (ImageMagick) {/usr/bin/display /usr/share/doc/imagemagick/examples/logo.png}
+# [exec] (Ogle) {/usr/bin/ogle}
+# [exec] (VideoLAN Client) {/usr/bin/vlc}
+# [exec] (xawtv) {/usr/bin/xawtv}
+# [exec] (Xditview) {xditview}
+# [exec] (XDvi) {/usr/bin/xdvi}
+# [exec] (Xpdf) {/usr/bin/xpdf}
+# [end]
+# [submenu] (WindowManagers) {}
+# [restart] (FluxBox) {/usr/bin/fluxbox}
+# [restart] (IceWM) {/usr/bin/icewm}
+# [restart] (IceWM-GNOME) {/usr/bin/icewm-gnome}
+# [restart] (Twm) {twm}
+# [restart] (Window Maker) {/usr/bin/wmaker}
+# [restart] (XFwm/XFce) {startxfce}
+# [end]
+# [submenu] (Help) {}
+# [exec] (Info) { x-terminal-emulator -T "Info" -e info}
+# [exec] (Texdoctk) {/usr/bin/texdoctk}
+# [exec] (Xman) {xman}
+# [end]
+[end]
+
+# [submenu] (XShells) {}
+# [exec] (Konsole) {/usr/bin/konsole}
+# [exec] (Rxvt) {rxvt}
+# [exec] (XTerm) {xterm}
+# [exec] (XTerm (Unicode\)) {uxterm}
+# [end]
+
+[exec] (-----------) {sed}
+[submenu] (System menus) {}
+[include] (/etc/X11/fluxbox/fluxbox-menu)
+[end]
+ [exec] (logout) {gdmflexiserver}
+ [exit] (Exit)
+
+[end]
diff --git a/dotfiles/fluxbox/menu-01-orig b/dotfiles/fluxbox/menu-01-orig
@@ -0,0 +1,281 @@
+[begin] (fluxbox)
+
+[exec] (Aterm) {aterm -tr -trsb -tinttype true -tint grey -fg white}
+
+[submenu] (Original Menu) {}
+ [submenu] (Apps) {}
+ [submenu] (Editors) {}
+ [exec] (Emacs 21 \(text\)) { x-terminal-emulator -T "Emacs 21 \(text\)" -e /usr/bin/emacs21}
+ [exec] (Emacs 21 (X11\)) {/usr/bin/emacs21}
+ [exec] (gvim) {/usr/bin/gvim}
+ [exec] (Joe) { x-terminal-emulator -T "Joe" -e joe}
+ [exec] (Kate) {/usr/bin/kate}
+ [exec] (KEdit) {/usr/bin/kedit}
+ [exec] (KWrite) {/usr/bin/kwrite}
+ [exec] (LyX (Qt\)) {/usr/bin/lyx-qt}
+ [exec] (Vim) { x-terminal-emulator -T "Vim" -e /usr/bin/vim}
+ [exec] (Xedit) {xedit}
+ [exec] (zile) { x-terminal-emulator -T "zile" -e /usr/bin/zile}
+ [end]
+ [submenu] (Emulators) {}
+ [exec] (Bochs) {/usr/bin/bochs}
+ [end]
+ [submenu] (Graphics) {}
+ [exec] (Bitmap) {bitmap}
+ [exec] (gqcam) {/usr/bin/gqcam}
+ [exec] (scanimage) { x-terminal-emulator -T "scanimage" -e /usr/bin/scanimage}
+ [exec] (Scribus) {/usr/bin/scribus}
+ [exec] (Sketch) {/usr/bin/sketch}
+ [exec] (Text Xaos) { x-terminal-emulator -T "Text Xaos" -e sh -c 'cd /tmp && /usr/bin/xaos -driver aa'}
+ [exec] (Tgif) {/usr/bin/tgif}
+ [exec] (The GIMP) {/usr/bin/gimp}
+ [exec] (Xaos) {sh -c 'cd /tmp && /usr/bin/xaos -driver x11'}
+ [exec] (xfig) {/usr/bin/xfig}
+ [exec] (xscanimage) {/usr/bin/xscanimage}
+ [end]
+ [submenu] (Math) {}
+ [exec] (bc) { x-terminal-emulator -T "bc" -e /usr/bin/bc}
+ [exec] (dc) { x-terminal-emulator -T "dc" -e /usr/bin/dc}
+ [exec] (KCalc) {/usr/bin/kcalc}
+ [exec] (Xcalc) {xcalc}
+ [end]
+ [submenu] (Net) {}
+ [exec] (airsnort) {/usr/bin/airsnort}
+ [exec] (Ethereal) {/usr/bin/ethereal}
+ [exec] (EveryBuddy) {/usr/bin/everybuddy}
+ [exec] (Gaim) {/usr/bin/gaim}
+ [exec] (GnomeMeeting) {/usr/bin/gnomemeeting}
+ [exec] (gq) {/usr/bin/gq}
+ [exec] (IPTraf) { x-terminal-emulator -T "IPTraf" -e /usr/sbin/su-to-root -c /usr/sbin/iptraf}
+ [exec] (Konqueror) {/usr/bin/konqueror --profile webbrowsing}
+ [exec] (KSirc) {/usr/bin/ksirc}
+ [exec] (Links-SSL) { x-terminal-emulator -T "Links-SSL" -e /usr/bin/links}
+ [exec] (Lynx\(SSL\)) { x-terminal-emulator -T "Lynx\(SSL\)" -e /usr/bin/lynx}
+ [exec] (Minicom) { x-terminal-emulator -T "Minicom" -e /usr/bin/minicom}
+ [exec] (Minicom (X11\)) {/usr/bin/xminicom}
+ [submenu] (Mozilla Components) {}
+ [exec] (Mozilla Addressbook) {mozilla -addressbook}
+ [exec] (Mozilla Browser) {mozilla}
+ [exec] (Mozilla Composer) {mozilla -edit}
+ [exec] (Mozilla Mail) {mozilla -mail}
+ [exec] (Mozilla Mail Composer) {mozilla -compose}
+ [exec] (Mozilla News) {mozilla -news}
+ [exec] (Mozilla Terminal) {mozilla -terminal}
+ [end]
+ [exec] (Mozilla Navigator) {mozilla}
+ [exec] (mtr) {mtr}
+ [exec] (Mutt) { x-terminal-emulator -T "Mutt" -e /usr/bin/mutt}
+ [exec] (ncftp) { x-terminal-emulator -T "ncftp" -e /usr/bin/ncftp3}
+ [exec] (psi) {/usr/bin/psi}
+ [exec] (Scotty) { x-terminal-emulator -T "Scotty" -e /usr/bin/scotty}
+ [exec] (Slrn) { x-terminal-emulator -T "Slrn" -e slrn}
+ [exec] (Telnet-SSL) { x-terminal-emulator -T "Telnet-SSL" -e telnet}
+ [exec] (TkIned) {/usr/bin/tkined}
+ [exec] (w3m) { x-terminal-emulator -T "w3m" -e /usr/bin/w3m /usr/share/doc/w3m/MANUAL.html}
+ [exec] (WaveMon) { x-terminal-emulator -T "WaveMon" -e /usr/bin/wavemon}
+ [exec] (X Chat) {/usr/bin/xchat}
+ [exec] (Xbiff) {xbiff}
+ [exec] (xmule) {/usr/bin/xmule}
+ [exec] (xSMBrowser) {/usr/bin/xsmbrowser}
+ [exec] (xvncviewer) {/usr/bin/xrealvncviewer}
+ [exec] (Zircon IRC Client) {/usr/bin/zircon}
+ [end]
+ [submenu] (Programming) {}
+ [exec] (Cervisia) {cervisia}
+ [exec] (KDevelop) {/usr/bin/kdevelop}
+ [exec] (KDevelop Setup) {/usr/bin/kdevelop --setup}
+ [exec] (Python \(v2.1\)) { x-terminal-emulator -T "Python \(v2.1\)" -e /usr/bin/python2.1}
+ [exec] (Python \(v2.2\)) { x-terminal-emulator -T "Python \(v2.2\)" -e /usr/bin/python2.2}
+ [exec] (Python \(v2.3\)) { x-terminal-emulator -T "Python \(v2.3\)" -e /usr/bin/python2.3}
+ [exec] (Tclsh8.3) { x-terminal-emulator -T "Tclsh8.3" -e /usr/bin/tclsh8.3}
+ [exec] (Tclsh8.4) { x-terminal-emulator -T "Tclsh8.4" -e /usr/bin/tclsh8.4}
+ [exec] (TkWish8.3) {x-terminal-emulator -e /usr/bin/wish8.3}
+ [exec] (TkWish8.4) {x-terminal-emulator -e /usr/bin/wish8.4}
+ [end]
+ [submenu] (Shells) {}
+ [exec] (Bash) { x-terminal-emulator -T "Bash" -e /bin/bash -login}
+ [exec] (Csh) { x-terminal-emulator -T "Csh" -e /usr/bin/csh -l}
+ [exec] (Pdmenu) { x-terminal-emulator -T "Pdmenu" -e /usr/bin/pdmenu}
+ [exec] (Sash) { x-terminal-emulator -T "Sash" -e /bin/sash}
+ [exec] (Sh) { x-terminal-emulator -T "Sh" -e /bin/sh -login}
+ [end]
+ [submenu] (Sound) {}
+ [exec] (Audacity) {/usr/bin/audacity}
+ [exec] (aumix (GTK\)) {/usr/bin/aumix}
+ [exec] (DBfsd) { x-terminal-emulator -T "DBfsd" -e /usr/bin/dbfsd}
+ [exec] (DBmixer) {/usr/bin/dbmixer}
+ [exec] (DBplaylist) {/usr/bin/dbplaylist}
+ [exec] (radio) { x-terminal-emulator -T "radio" -e /usr/bin/radio}
+ [exec] (Rosegarden) {/usr/bin/rosegarden}
+ [exec] (TiMidity++) {timidity -gi}
+ [exec] (wmXMMS) {wmxmms}
+ [exec] (XMMS) {xmms}
+ [end]
+ [submenu] (System) {}
+ [submenu] (Admin) {}
+ [exec] (Lilo-config) { x-terminal-emulator -T "Lilo-config" -e /usr/sbin/su-to-root -p root -c /usr/sbin/liloconfig}
+ [exec] (Orphaner \(all\)) { x-terminal-emulator -T "Orphaner \(all\)" -e /usr/sbin/su-to-root -c "/usr/sbin/orphaner -a"}
+ [exec] (Orphaner \(libs\)) { x-terminal-emulator -T "Orphaner \(libs\)" -e /usr/sbin/su-to-root -c /usr/sbin/orphaner}
+ [exec] (Orphaner - editkeep) { x-terminal-emulator -T "Orphaner - editkeep" -e /usr/sbin/su-to-root -c "/usr/sbin/editkeep "}
+ [end]
+ [exec] (aptitude) { x-terminal-emulator -T "aptitude" -e /usr/bin/aptitude}
+ [submenu] (Gnome) {}
+ [exec] (Gnome Control Center) {/usr/bin/gnome-control-center}
+ [end]
+ [exec] (gscanbus) {/usr/bin/gscanbus}
+ [exec] (Imlib Config) {/usr/bin/imlib_config}
+ [exec] (KBackup) { x-terminal-emulator -T "KBackup" -e /usr/sbin/kbackup}
+ [exec] (KControl) {/usr/bin/kcontrol}
+ [exec] (KDCOP) {/usr/bin/kdcop}
+ [exec] (KDE Task Scheduler) {/usr/bin/kcron}
+ [exec] (KDebugDialog) {/usr/bin/kdebugdialog}
+ [exec] (kdepasswd) {/usr/bin/kdepasswd}
+ [exec] (KDiskFree) {/usr/bin/kdf}
+ [exec] (KEditBookmarks) {/usr/bin/keditbookmarks}
+ [exec] (KFind) {/usr/bin/kfind}
+ [exec] (KFloppy) {/usr/bin/kfloppy}
+ [exec] (KMenuEdit) {/usr/bin/kmenuedit}
+ [exec] (Konqueror) {/usr/bin/konqueror --profile filemanagement}
+ [exec] (KPersonalizer) {/usr/bin/kpersonalizer}
+ [exec] (kwikdisk) {/usr/bin/kwikdisk}
+ [exec] (Nautilus) {/usr/bin/nautilus}
+ [exec] (Partition Image) { x-terminal-emulator -T "Partition Image" -e /usr/sbin/partimage}
+ [exec] (pstree) {x-terminal-emulator -e /usr/bin/pstree.x11}
+ [exec] (Run as different user (GKsu\)) {/usr/bin/gksuexec}
+ [exec] (Task selector) { x-terminal-emulator -T "Task selector" -e /usr/sbin/su-to-root -c /usr/bin/tasksel}
+ [exec] (Top) { x-terminal-emulator -T "Top" -e /usr/bin/top}
+ [exec] (Wmakerconf) {/usr/bin/wmakerconf}
+ [exec] (X-Terminal as root (GKsu\)) {/usr/bin/gksu -u root /usr/bin/x-terminal-emulator}
+ [exec] (Xconsole) {xconsole}
+ [exec] (Xload) {xload}
+ [exec] (Xvidtune) {xvidtune}
+ [end]
+ [submenu] (Text) {}
+ [exec] (Fortune) {sh -c 'while /usr/games/fortune | col -x | xmessage -center -buttons OK:1,Another:0 -default OK -file - ; do :; done'}
+ [exec] (xdialog) {/usr/bin/Xdialog}
+ [end]
+ [submenu] (Tools) {}
+ [exec] (Ark) {/usr/bin/ark}
+ [exec] (ding) {/usr/bin/ding}
+ [exec] (Editres) {editres}
+ [exec] (guitar) {/usr/bin/guitar}
+ [exec] (KCharSelect) {/usr/bin/kcharselect}
+ [exec] (KHexEdit) {/usr/bin/khexedit}
+ [exec] (KJots) {/usr/bin/kjots}
+ [exec] (KTimer) {/usr/bin/ktimer}
+ [exec] (mc) { x-terminal-emulator -T "mc" -e /usr/bin/mc}
+ [exec] (Oclock) {oclock}
+ [exec] (Rclock) {rclock}
+ [exec] (The GNU Privacy Assistant) {/usr/bin/gpa}
+ [exec] (txt2regex) { x-terminal-emulator -T "txt2regex" -e /usr/bin/txt2regex}
+ [exec] (USB View) {/usr/bin/usbview}
+ [exec] (X Window Snapshot) {xwd | xwud}
+ [exec] (x0rfbserver) {/usr/bin/x0rfbserver}
+ [exec] (x0rfbviewer) {/usr/bin/x0rfbviewer}
+ [exec] (Xclipboard) {xclipboard}
+ [exec] (Xclock (analog\)) {xclock -analog}
+ [exec] (Xclock (digital\)) {xclock -digital -update 1}
+ [exec] (Xcutsel) {xcutsel}
+ [exec] (Xev) {x-terminal-emulator -e xev}
+ [exec] (XFbd) {xfbd -i}
+ [exec] (XFce) {xfce}
+ [exec] (XFClock) {xfclock}
+ [exec] (XFMouse) {xfmouse -i}
+ [exec] (Xfontsel) {xfontsel}
+ [exec] (XFTree) {xftree}
+ [exec] (Xkill) {xkill}
+ [exec] (Xmag) {xmag}
+ [exec] (Xrefresh) {xrefresh}
+ [end]
+ [submenu] (Viewers) {}
+ [exec] (Acrobat Reader) {/usr/bin/acroread}
+ [exec] (Gtk+ VideoLAN Client) {/usr/bin/gvlc}
+ [exec] (gtv MPEG player) {/usr/bin/gtv}
+ [exec] (GV) {/usr/bin/X11/gv}
+ [exec] (ImageMagick) {/usr/bin/display /usr/share/doc/imagemagick/examples/logo.png}
+ [exec] (Mplayer) {/usr/bin/gmplayer}
+ [exec] (Ogle) {/usr/bin/ogle}
+ [exec] (VideoLAN Client) {/usr/bin/vlc}
+ [exec] (x0rfbviewer) {/usr/bin/x0rfbviewer}
+ [exec] (xawtv) {/usr/bin/xawtv}
+ [exec] (Xditview) {xditview}
+ [exec] (XDvi) {/usr/bin/xdvi}
+ [exec] (xine media player) {/usr/bin/xine}
+ [exec] (Xpdf) {/usr/bin/xpdf}
+ [end]
+ [end]
+ [submenu] (Games) {}
+ [submenu] (Arcade) {}
+ [exec] (Galaga) {/usr/games/xgalaga}
+ [exec] (Gnibbles) {/usr/games/gnibbles}
+ [exec] (XKoules) {/usr/games/xkoules}
+ [end]
+ [submenu] (Board) {}
+ [exec] (Gnome GYahtzee) {/usr/games/gtali}
+ [exec] (Gnome Iagno) {/usr/games/iagno}
+ [end]
+ [submenu] (Card) {}
+ [exec] (XSkat) {/usr/games/xskat}
+ [exec] (XSkat via IRC) {/usr/bin/x-terminal-emulator -e /usr/games/xskat -irc}
+ [end]
+ [submenu] (Puzzles) {}
+ [exec] (Gnobots2) {/usr/games/gnobots2}
+ [exec] (Gtans) {/usr/games/gtans}
+ [end]
+ [submenu] (Strategy) {}
+ [exec] (Lincity (X\)) {/usr/games/xlincity}
+ [end]
+ [submenu] (Tetris-like) {}
+ [exec] (GTetrinet) {/usr/games/gtetrinet}
+ [exec] (Netris) { x-terminal-emulator -T "Netris" -e /usr/games/netris}
+ [end]
+ [submenu] (Toys) {}
+ [exec] (Xeyes) {xeyes}
+ [exec] (xfishtank - start) {xfishtank}
+ [exec] (xfishtank - stop) {killall -KILL xfishtank}
+ [exec] (Xlogo) {xlogo}
+ [end]
+ [end]
+ [submenu] (Help) {}
+ [exec] (Info) { x-terminal-emulator -T "Info" -e info}
+ [exec] (Texdoctk) {/usr/bin/texdoctk}
+ [exec] (Xman) {xman}
+ [end]
+ [submenu] (Screen) {}
+ [submenu] (Root-window) {}
+ [exec] (Xsetroot) {xsetroot}
+ [end]
+ [submenu] (Save) {}
+ [exec] (Beforelight) {beforelight}
+ [submenu] (Text) {}
+ [exec] (AA Fire) { x-terminal-emulator -T "AA Fire" -e aafire -driver slang}
+ [end]
+ [end]
+ [end]
+ [submenu] (WindowManagers) {}
+ [restart] (FluxBox) {/usr/bin/fluxbox}
+ [restart] (IceWM) {/usr/bin/icewm}
+ [restart] (IceWM-GNOME) {/usr/bin/icewm-gnome}
+ [restart] (Twm) {twm}
+ [restart] (Window Maker) {/usr/bin/wmaker}
+ [restart] (XFwm/XFce) {startxfce}
+ [end]
+ [submenu] (XShells) {}
+ [exec] (Konsole) {/usr/bin/konsole}
+ [exec] (Rxvt) {rxvt}
+ [exec] (XTerm) {xterm}
+ [exec] (XTerm (Unicode\)) {uxterm}
+ [end]
+[end]
+
+ [config] (Configuration)
+ [submenu] (Styles) {}
+ [stylesdir] (/usr/share/fluxbox/styles)
+ [stylesdir] (~/.fluxbox/styles)
+ [end]
+ [workspaces] (Workspaces)
+ [reconfig] (Reconfigure)
+ [restart] (Restart)
+ [exit] (Exit)
+
+[end]
diff --git a/dotfiles/fluxbox/overlay b/dotfiles/fluxbox/overlay
@@ -0,0 +1,2 @@
+! The following line will prevent styles from setting the background.
+! background: none
diff --git a/dotfiles/fluxbox/slitlist b/dotfiles/fluxbox/slitlist
@@ -0,0 +1,5 @@
+kbearsitemanagerdb
+kbear
+ksirc
+wmxmms
+skype
diff --git a/dotfiles/fluxbox/startup b/dotfiles/fluxbox/startup
@@ -0,0 +1,56 @@
+# fluxbox startup-script:
+#
+# Lines starting with a '#' are ignored.
+
+# You can set your favourite wallpaper here if you don't want
+# to do it from your style.
+#
+# bsetbg -f ~/pictures/wallpaper.png
+#
+# This sets a black background
+
+#/usr/bin/fbsetroot -solid black
+
+# This shows the fluxbox-splash-screen
+# fbsetbg -C /usr/share/fluxbox/splash.jpg
+
+# Other examples. Check man xset for details.
+#
+# Turn off beeps:
+# xset -b
+#
+# Increase the keyboard repeat-rate:
+# xset r rate 195 35
+#
+# Your own fonts-dir:
+# xset +fp ~/.font
+#
+# Your favourite mouse cursor:
+# xsetroot -cursor_name right_ptr
+#
+# Change your keymap:
+# xmodmap ~/.Xmodmap
+
+
+
+# Applications you want to run with fluxbox.
+# MAKE SURE THAT APPS THAT KEEP RUNNING HAVE AN ''&'' AT THE END.
+#
+# unclutter -idle 2 &
+# wmnd &
+# wmsmixer -w &
+# idesk &
+
+# set background in style: /usr/share/fluxbox/styles/ostrich
+#fbsetbg -f /usr/share/backgrounds/xfce/xfce-blue.jpg
+#fbsetbg -f ~/.fluxbox/backgrounds/wallpaper_easydoneitnet.png
+
+#dropbox start &
+#owncloud &
+
+# And last but not least we start fluxbox.
+# Because it is the last app you have to run it with ''exec'' before it.
+
+exec /usr/bin/fluxbox
+# or if you want to keep a log:
+# exec /usr/bin/fluxbox -log ~/.fluxbox/log
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/blackabstract.png b/dotfiles/fluxbox/styles/OrangeBlack/blackabstract.png
Binary files differ.
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/bullet.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/bullet.xpm
@@ -0,0 +1,29 @@
+/* XPM */
+static char * bullet_xpm[] = {
+"23 23 3 1",
+" c None",
+". c #BCBCBC",
+"+ c #A2A2A2",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" . ",
+" +. ",
+" +. ",
+" +. ",
+" +. ",
+" +. ",
+" . ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" "};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/bullet_hilite.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/bullet_hilite.xpm
@@ -0,0 +1,29 @@
+/* XPM */
+static char * bullet_hilite_xpm[] = {
+"23 23 3 1",
+" c None",
+". c #E5E5E5",
+"+ c #FFFFFF",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" . ",
+" +. ",
+" +. ",
+" +. ",
+" +. ",
+" +. ",
+" . ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" "};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/close.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/close.xpm
@@ -0,0 +1,59 @@
+/* XPM */
+static char * close_xpm[] = {
+"23 23 33 1",
+" c None",
+". c #6A6A6A",
+"+ c #666666",
+"@ c #616161",
+"# c #5C5C5C",
+"$ c #585858",
+"% c #535353",
+"& c #FF9C3B",
+"* c #454545",
+"= c #C9823D",
+"- c #404040",
+"; c #C7813C",
+"> c #3B3B3B",
+", c #C67F3B",
+"' c #373737",
+") c #C47E39",
+"! c #323232",
+"~ c #C37D38",
+"{ c #2D2D2D",
+"] c #C27B36",
+"^ c #292929",
+"/ c #C07A35",
+"( c #242424",
+"_ c #BF7934",
+": c #1F1F1F",
+"< c #BD7732",
+"[ c #1B1B1B",
+"} c #BC7631",
+"| c #161616",
+"1 c #111111",
+"2 c #0C0C0C",
+"3 c #080808",
+"4 c #030303",
+".......................",
+"+++++++++++++++++++++++",
+"@@@@@@@@@@@@@@@@@@@@@@@",
+"#######################",
+"$$$$$$$$$$$$$$$$$$$$$$$",
+"%%%%%%%%%%%%%%%%%%%%%%%",
+"&&&&&&&&&&&&&&&&&&&&&&&",
+"&&&&&&&&&&&&&&&&&&&&&&&",
+"*****&=**********=&****",
+"-----&;----------;&----",
+">>>>>&,>>>>>>>>>>,&>>>>",
+"'''''&)'''''''''')&''''",
+"!!!!!&~!!!!!!!!!!~&!!!!",
+"{{{{{&]{{{{{{{{{{]&{{{{",
+"^^^^^&/^^^^^^^^^^/&^^^^",
+"(((((&_((((((((((_&((((",
+":::::&<::::::::::<&::::",
+"[[[[[&}}}}}}}}}}}}&[[[[",
+"|||||&&&&&&&&&&&&&&||||",
+"11111111111111111111111",
+"22222222222222222222222",
+"33333333333333333333333",
+"44444444444444444444444"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/close_pressed.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/close_pressed.xpm
@@ -0,0 +1,75 @@
+/* XPM */
+static char * close_pressed_xpm[] = {
+"23 23 49 1",
+" c None",
+". c #6B6B6B",
+"+ c #6A6A6A",
+"@ c #676767",
+"# c #666666",
+"$ c #656565",
+"% c #626262",
+"& c #616161",
+"* c #5D5D5D",
+"= c #5C5C5C",
+"- c #595959",
+"; c #585858",
+"> c #575757",
+", c #545454",
+"' c #535353",
+") c #FF9C3B",
+"! c #464646",
+"~ c #454545",
+"{ c #444444",
+"] c #414141",
+"^ c #404040",
+"/ c #3C3C3C",
+"( c #3B3B3B",
+"_ c #373737",
+": c #363636",
+"< c #333333",
+"[ c #323232",
+"} c #2E2E2E",
+"| c #2D2D2D",
+"1 c #292929",
+"2 c #282828",
+"3 c #252525",
+"4 c #242424",
+"5 c #232323",
+"6 c #202020",
+"7 c #1F1F1F",
+"8 c #1B1B1B",
+"9 c #1A1A1A",
+"0 c #161616",
+"a c #151515",
+"b c #121212",
+"c c #111111",
+"d c #0D0D0D",
+"e c #0C0C0C",
+"f c #080808",
+"g c #070707",
+"h c #040404",
+"i c #030303",
+"j c #020202",
+".................++++++",
+"@@@@##################$",
+"%%%%%%%%%&&&&&&&&&&&&&&",
+"**************=========",
+"-;;;;;;;;;;;;;;;;;;>>>>",
+",,,,,,'''''''''''''''''",
+")))))))))))))))))))))))",
+")))))))))))))))))))))))",
+"!!!~~))))))))))))))~~{{",
+"]]]]]))))))))))))))^^^^",
+"/////))))))))))))))((((",
+"_____))))))))))))))::::",
+"<<<<<))))))))))))))[[[[",
+"}}}}}))))))))))))))||||",
+"11111))))))))))))))2222",
+"33444))))))))))))))4455",
+"66666))))))))))))))7777",
+"88888))))))))))))))9999",
+"00000))))))))))))))aaaa",
+"bbbbbcccccccccccccccccc",
+"ddddddddddeeeeeeeeeeeee",
+"fffffffffffffffgggggggg",
+"hhiiiiiiiiiiiiiiiiiijjj"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/hilite.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/hilite.xpm
@@ -0,0 +1,50 @@
+/* XPM */
+static char * hilite_xpm[] = {
+"23 23 24 1",
+" c None",
+". c #EC9036",
+"+ c #E98E35",
+"@ c #E58C35",
+"# c #E28A34",
+"$ c #DF8833",
+"% c #DB8632",
+"& c #D88432",
+"* c #D58231",
+"= c #D18030",
+"- c #CE7E2F",
+"; c #CB7C2F",
+"> c #C77A2E",
+", c #C4782D",
+"' c #C1762C",
+") c #BD742B",
+"! c #BA722B",
+"~ c #B7702A",
+"{ c #B36E29",
+"] c #B06C28",
+"^ c #AD6928",
+"/ c #A96727",
+"( c #A66526",
+"_ c #A36325",
+".......................",
+"+++++++++++++++++++++++",
+"@@@@@@@@@@@@@@@@@@@@@@@",
+"#######################",
+"$$$$$$$$$$$$$$$$$$$$$$$",
+"%%%%%%%%%%%%%%%%%%%%%%%",
+"&&&&&&&&&&&&&&&&&&&&&&&",
+"***********************",
+"=======================",
+"-----------------------",
+";;;;;;;;;;;;;;;;;;;;;;;",
+">>>>>>>>>>>>>>>>>>>>>>>",
+",,,,,,,,,,,,,,,,,,,,,,,",
+"'''''''''''''''''''''''",
+")))))))))))))))))))))))",
+"!!!!!!!!!!!!!!!!!!!!!!!",
+"~~~~~~~~~~~~~~~~~~~~~~~",
+"{{{{{{{{{{{{{{{{{{{{{{{",
+"]]]]]]]]]]]]]]]]]]]]]]]",
+"^^^^^^^^^^^^^^^^^^^^^^^",
+"///////////////////////",
+"(((((((((((((((((((((((",
+"_______________________"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/max.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/max.xpm
@@ -0,0 +1,56 @@
+/* XPM */
+static char * max_xpm[] = {
+"23 23 30 1",
+" c None",
+". c #6B6B6B",
+"+ c #676767",
+"@ c #626262",
+"# c #5D5D5D",
+"$ c #585858",
+"% c #545454",
+"& c #FF9C3B",
+"* c #454545",
+"= c #C9823D",
+"- c #414141",
+"; c #C7813C",
+"> c #3C3C3C",
+", c #C6803B",
+"' c #373737",
+") c #C47E39",
+"! c #323232",
+"~ c #C37D38",
+"{ c #2E2E2E",
+"] c #C27C37",
+"^ c #292929",
+"/ c #C07A35",
+"( c #242424",
+"_ c #1F1F1F",
+": c #1B1B1B",
+"< c #161616",
+"[ c #111111",
+"} c #0D0D0D",
+"| c #080808",
+"1 c #030303",
+".......................",
+"+++++++++++++++++++++++",
+"@@@@@@@@@@@@@@@@@@@@@@@",
+"#######################",
+"$$$$$$$$$$$$$$$$$$$$$$$",
+"%%%%%%%%%%%%%%%%%%%%%%%",
+"&&&&&&&&&&&&&&&&&&&&&&&",
+"&&&&&&&&&&&&&&&&&&&&&&&",
+"******&=*********=&****",
+"------&;---------;&----",
+">>>>>>&,>>>>>>>>>,&>>>>",
+"''''''&)''''''''')&''''",
+"!!!!!!&~!!!!!!!!!~&!!!!",
+"{{{{{{&]{{{{{{{{{]&{{{{",
+"^^^^^^&///////////&^^^^",
+"((((((&&&&&&&&&&&&&((((",
+"_______________________",
+":::::::::::::::::::::::",
+"<<<<<<<<<<<<<<<<<<<<<<<",
+"[[[[[[[[[[[[[[[[[[[[[[[",
+"}}}}}}}}}}}}}}}}}}}}}}}",
+"|||||||||||||||||||||||",
+"11111111111111111111111"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/max_pressed.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/max_pressed.xpm
@@ -0,0 +1,109 @@
+/* XPM */
+static char * max_pressed_xpm[] = {
+"23 23 83 1",
+" c None",
+". c #6C6C6C",
+"+ c #6B6B6B",
+"@ c #6A6A6A",
+"# c #696969",
+"$ c #676767",
+"% c #666666",
+"& c #656565",
+"* c #646464",
+"= c #636363",
+"- c #626262",
+"; c #616161",
+"> c #606060",
+", c #5F5F5F",
+"' c #5E5E5E",
+") c #5D5D5D",
+"! c #5C5C5C",
+"~ c #5B5B5B",
+"{ c #595959",
+"] c #585858",
+"^ c #575757",
+"/ c #565656",
+"( c #545454",
+"_ c #535353",
+": c #525252",
+"< c #515151",
+"[ c #FF9C3B",
+"} c #464646",
+"| c #454545",
+"1 c #434343",
+"2 c #414141",
+"3 c #3F3F3F",
+"4 c #3E3E3E",
+"5 c #3D3D3D",
+"6 c #3C3C3C",
+"7 c #3A3A3A",
+"8 c #393939",
+"9 c #383838",
+"0 c #373737",
+"a c #353535",
+"b c #333333",
+"c c #323232",
+"d c #303030",
+"e c #2E2E2E",
+"f c #2C2C2C",
+"g c #2B2B2B",
+"h c #2A2A2A",
+"i c #292929",
+"j c #272727",
+"k c #262626",
+"l c #252525",
+"m c #242424",
+"n c #222222",
+"o c #202020",
+"p c #1F1F1F",
+"q c #1E1E1E",
+"r c #1D1D1D",
+"s c #1B1B1B",
+"t c #1A1A1A",
+"u c #191919",
+"v c #181818",
+"w c #171717",
+"x c #161616",
+"y c #151515",
+"z c #141414",
+"A c #131313",
+"B c #121212",
+"C c #111111",
+"D c #101010",
+"E c #0F0F0F",
+"F c #0D0D0D",
+"G c #0C0C0C",
+"H c #0B0B0B",
+"I c #0A0A0A",
+"J c #080808",
+"K c #070707",
+"L c #060606",
+"M c #050505",
+"N c #040404",
+"O c #030303",
+"P c #020202",
+"Q c #010101",
+"R c #000000",
+".....+++++++@@@@@@@####",
+"$$$$$$$%%%%%%&&&&&&&***",
+"=-------;;;;;;;>>>>>>>,",
+"''')))))))!!!!!!!~~~~~~",
+"{{{{{]]]]]]]^^^^^^/////",
+"(((((((______:::::::<<<",
+"[[[[[[[[[[[[[[[[[[[[[[[",
+"[[[[[[[[[[[[[[[[[[[[[[[",
+"}}}}}|[[[[[[[[[[[[[1111",
+"222222[[[[[[[[[[[[[3444",
+"566666[[[[[[[[[[[[[7778",
+"999000[[[[[[[[[[[[[aaaa",
+"bbbbbc[[[[[[[[[[[[[dddd",
+"eeeeee[[[[[[[[[[[[[fggg",
+"hiiiii[[[[[[[[[[[[[jjjk",
+"lllmmm[[[[[[[[[[[[[nnnn",
+"oooooppppppqqqqqqqrrrrr",
+"sssssstttttttuuuuuuuvvv",
+"wxxxxxxxyyyyyyyzzzzzzzA",
+"BBBCCCCCCCDDDDDDDEEEEEE",
+"FFFFFGGGGGGHHHHHHHIIIII",
+"JJJJJJKKKKKKKLLLLLLLMMM",
+"NOOOOOOOPPPPPPPQQQQQQQR"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/min.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/min.xpm
@@ -0,0 +1,111 @@
+/* XPM */
+static char * min_xpm[] = {
+"23 23 85 1",
+" c None",
+". c #6C6C6C",
+"+ c #6B6B6B",
+"@ c #6A6A6A",
+"# c #686868",
+"$ c #676767",
+"% c #666666",
+"& c #656565",
+"* c #636363",
+"= c #626262",
+"- c #616161",
+"; c #606060",
+"> c #5E5E5E",
+", c #5D5D5D",
+"' c #5C5C5C",
+") c #595959",
+"! c #585858",
+"~ c #575757",
+"{ c #555555",
+"] c #545454",
+"^ c #535353",
+"/ c #525252",
+"( c #505050",
+"_ c #FF9C3B",
+": c #4B4B4B",
+"< c #464646",
+"[ c #454545",
+"} c #444444",
+"| c #424242",
+"1 c #414141",
+"2 c #404040",
+"3 c #3F3F3F",
+"4 c #3D3D3D",
+"5 c #3C3C3C",
+"6 c #3B3B3B",
+"7 c #3A3A3A",
+"8 c #383838",
+"9 c #373737",
+"0 c #C47E39",
+"a c #363636",
+"b c #333333",
+"c c #C37D38",
+"d c #323232",
+"e c #313131",
+"f c #C37C38",
+"g c #2F2F2F",
+"h c #2E2E2E",
+"i c #C27C37",
+"j c #2D2D2D",
+"k c #C17B36",
+"l c #2C2C2C",
+"m c #2A2A2A",
+"n c #292929",
+"o c #C07A35",
+"p c #282828",
+"q c #272727",
+"r c #252525",
+"s c #242424",
+"t c #BF7934",
+"u c #232323",
+"v c #BF7834",
+"w c #202020",
+"x c #BD7732",
+"y c #1F1F1F",
+"z c #1E1E1E",
+"A c #1B1B1B",
+"B c #BC7631",
+"C c #BC7531",
+"D c #191919",
+"E c #161616",
+"F c #141414",
+"G c #121212",
+"H c #111111",
+"I c #101010",
+"J c #0D0D0D",
+"K c #0C0C0C",
+"L c #0B0B0B",
+"M c #090909",
+"N c #080808",
+"O c #070707",
+"P c #060606",
+"Q c #040404",
+"R c #030303",
+"S c #020202",
+"T c #010101",
+"........+++++++++@@@@@@",
+"##$$$$$$$$$%%%%%%%%%&&&",
+"****=========---------;",
+">>>>>>,,,,,,,,,''''''''",
+"))))))))!!!!!!!!!~~~~~~",
+"{]]]]]]]]]^^^^^^^^^^///",
+"(((____________________",
+":::____________________",
+"<<<__<<<[[[[[[[[[}}}}}}",
+"|11__111112222222223333",
+"444__555_____________67",
+"888__899_00000000000_aa",
+"bbb__bbb_cdddddddeef_ee",
+"ghh__hhh_ijjjjjjjjjk_ll",
+"mmm__nnn_onnpppppppo_pq",
+"rrr__rss_tsssssuuuuv_uu",
+"www__www_xyyyyyyyzzx_zz",
+"_____AAA_BBBBBBBBBBC_DD",
+"_____EEE_____________FF",
+"GGGGGHHHHHHHHHIIIIIIIII",
+"JJJJJJJJKKKKKKKKKLLLLLL",
+"MNNNNNNNNNOOOOOOOOOPPPP",
+"QQQRRRRRRRRRSSSSSSSSSTT"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/min_pressed.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/min_pressed.xpm
@@ -0,0 +1,67 @@
+/* XPM */
+static char * min_pressed_xpm[] = {
+"23 23 41 1",
+" c None",
+". c #6C6C6C",
+"+ c #6B6B6B",
+"@ c #676767",
+"# c #636363",
+"$ c #626262",
+"% c #5E5E5E",
+"& c #5D5D5D",
+"* c #595959",
+"= c #585858",
+"- c #555555",
+"; c #545454",
+"> c #505050",
+", c #FF9C3B",
+"' c #4B4B4B",
+") c #464646",
+"! c #424242",
+"~ c #414141",
+"{ c #3D3D3D",
+"] c #3C3C3C",
+"^ c #383838",
+"/ c #343434",
+"( c #333333",
+"_ c #2F2F2F",
+": c #2E2E2E",
+"< c #2A2A2A",
+"[ c #292929",
+"} c #262626",
+"| c #252525",
+"1 c #212121",
+"2 c #202020",
+"3 c #1C1C1C",
+"4 c #1B1B1B",
+"5 c #171717",
+"6 c #131313",
+"7 c #121212",
+"8 c #0E0E0E",
+"9 c #0D0D0D",
+"0 c #090909",
+"a c #050505",
+"b c #040404",
+"................+++++++",
+"@@@@@@@@@@@@@@@@@@@@@@@",
+"#####$$$$$$$$$$$$$$$$$$",
+"%%%%%%%%%%%%%&&&&&&&&&&",
+"*********************==",
+"--;;;;;;;;;;;;;;;;;;;;;",
+">>>,,,,,,,,,,,,,,,,,,,,",
+"''',,,,,,,,,,,,,,,,,,,,",
+"))),,))))))))))))))))))",
+"!!!,,!!~~~~~~~~~~~~~~~~",
+"{{{,,{{{,,,,,,,,,,,,,]]",
+"^^^,,^^^,,,,,,,,,,,,,^^",
+"///,,(((,,,,,,,,,,,,,((",
+"___,,___,,,,,,,,,,,,,::",
+"<<<,,<<<,,,,,,,,,,,,,[[",
+"}||,,|||,,,,,,,,,,,,,||",
+"111,,111,,,,,,,,,,,,,22",
+",,,,,333,,,,,,,,,,,,,44",
+",,,,,555,,,,,,,,,,,,,55",
+"66666667777777777777777",
+"88888888888888899999999",
+"00000000000000000000000",
+"aaaabbbbbbbbbbbbbbbbbbb"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/select.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/select.xpm
@@ -0,0 +1,28 @@
+/* XPM */
+static char * select_xpm[] = {
+"23 23 2 1",
+" c None",
+". c #A2A2A2",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ...... ",
+" . . ",
+" . .. . ",
+" . .. . ",
+" . . ",
+" ...... ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" "};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/select_hilite.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/select_hilite.xpm
@@ -0,0 +1,28 @@
+/* XPM */
+static char * select_hilite_xpm[] = {
+"23 23 2 1",
+" c None",
+". c #F9F9F9",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ...... ",
+" . . ",
+" . .. . ",
+" . .. . ",
+" . . ",
+" ...... ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" "};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/stick.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/stick.xpm
@@ -0,0 +1,66 @@
+/* XPM */
+static char * stick_xpm[] = {
+"23 23 40 1",
+" c None",
+". c #6B6B6B",
+"+ c #6A6A6A",
+"@ c #666666",
+"# c #616161",
+"$ c #5D5D5D",
+"% c #5C5C5C",
+"& c #585858",
+"* c #575757",
+"= c #535353",
+"- c #FF9C3B",
+"; c #4E4E4E",
+"> c #CB8540",
+", c #4A4A4A",
+"' c #CA843F",
+") c #494949",
+"! c #CA833F",
+"~ c #454545",
+"{ c #C9823D",
+"] c #404040",
+"^ c #C7813C",
+"/ c #3C3C3C",
+"( c #C6803B",
+"_ c #3B3B3B",
+": c #C67F3B",
+"< c #373737",
+"[ c #C47E39",
+"} c #323232",
+"| c #C37D38",
+"1 c #2E2E2E",
+"2 c #2D2D2D",
+"3 c #292929",
+"4 c #282828",
+"5 c #242424",
+"6 c #1F1F1F",
+"7 c #111111",
+"8 c #0D0D0D",
+"9 c #0C0C0C",
+"0 c #080808",
+"a c #030303",
+"........+++++++++++++++",
+"@@@@@@@@@@@@@@@@@@@@@@@",
+"#######################",
+"$$%%%%%%%%%%%%%%%%%%%%%",
+"&&&&&&&&&&&&&&&&&&&****",
+"=====-------------=====",
+";;;;;->>>>>>>>>>>-;;;;;",
+",,,,,-',,,,,,)))!-)))))",
+"~~~~~-{~~~~~~~~~{-~~~~~",
+"]]]]]-^]]]]]]]]]^-]]]]]",
+"/////-(_________:-_____",
+"<<<<<-[<<<<<<<<<[-<<<<<",
+"}}}}}-|||||||||||-}}}}}",
+"12222-------------22222",
+"33333333333333333344444",
+"55555555555555555555555",
+"66666666666666666666666",
+"-----------------------",
+"-----------------------",
+"77777777777777777777777",
+"88888899999999999999999",
+"00000000000000000000000",
+"aaaaaaaaaaaaaaaaaaaaaaa"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/stick_pressed.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/stick_pressed.xpm
@@ -0,0 +1,61 @@
+/* XPM */
+static char * stick_pressed_xpm[] = {
+"23 23 35 1",
+" c None",
+". c #6B6B6B",
+"+ c #6C6C6C",
+"@ c #676767",
+"# c #626262",
+"$ c #5D5D5D",
+"% c #585858",
+"& c #595959",
+"* c #545454",
+"= c #FF9C3B",
+"- c #4F4F4F",
+"; c #4A4A4A",
+"> c #4B4B4B",
+", c #454545",
+"' c #464646",
+") c #FFA043",
+"! c #FF9D3D",
+"~ c #FF9E3F",
+"{ c #414141",
+"] c #3C3C3C",
+"^ c #373737",
+"/ c #383838",
+"( c #333333",
+"_ c #2E2E2E",
+": c #292929",
+"< c #2A2A2A",
+"[ c #242424",
+"} c #252525",
+"| c #202020",
+"1 c #121212",
+"2 c #0D0D0D",
+"3 c #080808",
+"4 c #090909",
+"5 c #030303",
+"6 c #040404",
+"..............+++++++++",
+"@@@@@@@@@@@@@@@@@@@@@@@",
+"#######################",
+"$$$$$$$$$$$$$$$$$$$$$$$",
+"%%%%%%%%&&&&&&&&&&&&&&&",
+"*****=============*****",
+"-----=============-----",
+";;;;;=============>>>>>",
+",''''=====)!~====='''''",
+"{{{{{=======~====={{{{{",
+"]]]]]=======~=====]]]]]",
+"^^^^^=============/////",
+"(((((=============(((((",
+"_____=============_____",
+":::::::::::::::::::<<<<",
+"[[[}}}}}}}}}}}}}}}}}}}}",
+"|||||||||||||||||||||||",
+"=======================",
+"=======================",
+"11111111111111111111111",
+"22222222222222222222222",
+"33333333333333333333344",
+"55555566666666666666666"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/stuck.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/stuck.xpm
@@ -0,0 +1,61 @@
+/* XPM */
+static char * stick_pressed_xpm[] = {
+"23 23 35 1",
+" c None",
+". c #6B6B6B",
+"+ c #6C6C6C",
+"@ c #676767",
+"# c #626262",
+"$ c #5D5D5D",
+"% c #585858",
+"& c #595959",
+"* c #545454",
+"= c #FF9C3B",
+"- c #4F4F4F",
+"; c #4A4A4A",
+"> c #4B4B4B",
+", c #454545",
+"' c #464646",
+") c #FFA043",
+"! c #FF9D3D",
+"~ c #FF9E3F",
+"{ c #414141",
+"] c #3C3C3C",
+"^ c #373737",
+"/ c #383838",
+"( c #333333",
+"_ c #2E2E2E",
+": c #292929",
+"< c #2A2A2A",
+"[ c #242424",
+"} c #252525",
+"| c #202020",
+"1 c #121212",
+"2 c #0D0D0D",
+"3 c #080808",
+"4 c #090909",
+"5 c #030303",
+"6 c #040404",
+"..............+++++++++",
+"@@@@@@@@@@@@@@@@@@@@@@@",
+"#######################",
+"$$$$$$$$$$$$$$$$$$$$$$$",
+"%%%%%%%%&&&&&&&&&&&&&&&",
+"*****=============*****",
+"-----=============-----",
+";;;;;=============>>>>>",
+",''''=====)!~====='''''",
+"{{{{{=======~====={{{{{",
+"]]]]]=======~=====]]]]]",
+"^^^^^=============/////",
+"(((((=============(((((",
+"_____=============_____",
+":::::::::::::::::::<<<<",
+"[[[}}}}}}}}}}}}}}}}}}}}",
+"|||||||||||||||||||||||",
+"=======================",
+"=======================",
+"11111111111111111111111",
+"22222222222222222222222",
+"33333333333333333333344",
+"55555566666666666666666"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/title.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/title.xpm
@@ -0,0 +1,60 @@
+/* XPM */
+static char * title_xpm[] = {
+"23 23 34 1",
+" c None",
+". c #6C6C6C",
+"+ c #6B6B6B",
+"@ c #676767",
+"# c #666666",
+"$ c #626262",
+"% c #616161",
+"& c #5D5D5D",
+"* c #595959",
+"= c #585858",
+"- c #545454",
+"; c #535353",
+"> c #4F4F4F",
+", c #4E4E4E",
+"' c #4A4A4A",
+") c #464646",
+"! c #454545",
+"~ c #414141",
+"{ c #404040",
+"] c #3C3C3C",
+"^ c #3B3B3B",
+"/ c #383838",
+"( c #373737",
+"_ c #333333",
+": c #323232",
+"< c #2E2E2E",
+"[ c #2D2D2D",
+"} c #292929",
+"| c #252525",
+"1 c #242424",
+"2 c #202020",
+"3 c #1F1F1F",
+"4 c #FF9C3B",
+"5 c #000000",
+".....++++++++++++++++++",
+"@@@@@@@@@@@@###########",
+"$$$$$$$$$$$$$$$$$$$%%%%",
+"&&&&&&&&&&&&&&&&&&&&&&&",
+"******=================",
+"-------------;;;;;;;;;;",
+">>>>>>>>>>>>>>>>>>>>,,,",
+"'''''''''''''''''''''''",
+")))))))!!!!!!!!!!!!!!!!",
+"~~~~~~~~~~~~~~{{{{{{{{{",
+"]]]]]]]]]]]]]]]]]]]]]]^",
+"/((((((((((((((((((((((",
+"_________::::::::::::::",
+"<<<<<<<<<<<<<<<<[[[[[[[",
+"}}}}}}}}}}}}}}}}}}}}}}}",
+"|||11111111111111111111",
+"22222222223333333333333",
+"44444444444444444444444",
+"44444444444444444444444",
+"55555555555555555555555",
+"55555555555555555555555",
+"55555555555555555555555",
+"55555555555555555555555"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/toolbar.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/toolbar.xpm
@@ -0,0 +1,60 @@
+/* XPM */
+static char * toolbar_xpm[] = {
+"23 23 34 1",
+" c None",
+". c #6C6C6C",
+"+ c #6B6B6B",
+"@ c #676767",
+"# c #666666",
+"$ c #626262",
+"% c #616161",
+"& c #5D5D5D",
+"* c #595959",
+"= c #585858",
+"- c #545454",
+"; c #535353",
+"> c #4F4F4F",
+", c #4E4E4E",
+"' c #4A4A4A",
+") c #464646",
+"! c #454545",
+"~ c #414141",
+"{ c #404040",
+"] c #3C3C3C",
+"^ c #3B3B3B",
+"/ c #383838",
+"( c #373737",
+"_ c #333333",
+": c #323232",
+"< c #2E2E2E",
+"[ c #2D2D2D",
+"} c #292929",
+"| c #252525",
+"1 c #242424",
+"2 c #202020",
+"3 c #1F1F1F",
+"4 c #FF9C3B",
+"5 c #000000",
+".....++++++++++++++++++",
+"@@@@@@@@@@@@###########",
+"$$$$$$$$$$$$$$$$$$$%%%%",
+"&&&&&&&&&&&&&&&&&&&&&&&",
+"******=================",
+"-------------;;;;;;;;;;",
+">>>>>>>>>>>>>>>>>>>>,,,",
+"'''''''''''''''''''''''",
+")))))))!!!!!!!!!!!!!!!!",
+"~~~~~~~~~~~~~~{{{{{{{{{",
+"]]]]]]]]]]]]]]]]]]]]]]^",
+"/((((((((((((((((((((((",
+"_________::::::::::::::",
+"<<<<<<<<<<<<<<<<[[[[[[[",
+"}}}}}}}}}}}}}}}}}}}}}}}",
+"|||11111111111111111111",
+"22222222223333333333333",
+"44444444444444444444444",
+"44444444444444444444444",
+"55555555555555555555555",
+"55555555555555555555555",
+"55555555555555555555555",
+"55555555555555555555555"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/toolbar_focused.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/toolbar_focused.xpm
@@ -0,0 +1,80 @@
+/* XPM */
+static char * toolbar_focused_xpm[] = {
+"23 23 54 1",
+" c None",
+". c #888888",
+"+ c #898989",
+"@ c #8A8A8A",
+"# c #8B8B8B",
+"$ c #8C8C8C",
+"% c #808080",
+"& c #818181",
+"* c #828282",
+"= c #838383",
+"- c #777777",
+"; c #787878",
+"> c #797979",
+", c #7A7A7A",
+"' c #7B7B7B",
+") c #6F6F6F",
+"! c #707070",
+"~ c #717171",
+"{ c #727272",
+"] c #676767",
+"^ c #686868",
+"/ c #696969",
+"( c #6A6A6A",
+"_ c #5E5E5E",
+": c #5F5F5F",
+"< c #606060",
+"[ c #616161",
+"} c #626262",
+"| c #555555",
+"1 c #565656",
+"2 c #575757",
+"3 c #585858",
+"4 c #595959",
+"5 c #525252",
+"6 c #515151",
+"7 c #505050",
+"8 c #4F4F4F",
+"9 c #4E4E4E",
+"0 c #545454",
+"a c #535353",
+"b c #5A5A5A",
+"c c #5D5D5D",
+"d c #5C5C5C",
+"e c #5B5B5B",
+"f c #646464",
+"g c #636363",
+"h c #666666",
+"i c #656565",
+"j c #6D6D6D",
+"k c #6C6C6C",
+"l c #6B6B6B",
+"m c #6E6E6E",
+"n c #FF9C3B",
+"o c #000000",
+"..++++++@@@@@@##@###$##",
+"%%%%%&&%&&&*******=====",
+"--;;;;;;>>>>>>,,,,,,',,",
+")))))!!!!!!~~!~~~{{{{{{",
+"]]]]]]]]^^^^^^////(/(((",
+"__:::::::::<<<<<<[[[}[}",
+"|||||111111222222333444",
+"56666666777777888999999",
+"21111|||0000aaa55566666",
+"bb444333322221111|||000",
+"cccdddddeeebbb444333222",
+"[<<<<:::___cccdddeeebbb",
+"fggg}}}}[[[<<<:::::____",
+"]hhhiiiififfffggg}}}[[[",
+"((((//^^^^^]]]hhhiiifff",
+"jjjjkkkklll(((////^/^^^",
+"~!!!)!)))mmmmmjjjkkllll",
+"nnnnnnnnnnnnnnnnnnnnnnn",
+"nnnnnnnnnnnnnnnnnnnnnnn",
+"ooooooooooooooooooooooo",
+"ooooooooooooooooooooooo",
+"ooooooooooooooooooooooo",
+"ooooooooooooooooooooooo"};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/unselect.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/unselect.xpm
@@ -0,0 +1,28 @@
+/* XPM */
+static char * unselect_xpm[] = {
+"23 23 2 1",
+" c None",
+". c #A2A2A2",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ...... ",
+" . . ",
+" . . ",
+" . . ",
+" . . ",
+" ...... ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" "};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/unselect_hilite.xpm b/dotfiles/fluxbox/styles/OrangeBlack/pixmaps/unselect_hilite.xpm
@@ -0,0 +1,28 @@
+/* XPM */
+static char * unselect_hilite_xpm[] = {
+"23 23 2 1",
+" c None",
+". c #F9F9F9",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ...... ",
+" . . ",
+" . . ",
+" . . ",
+" . . ",
+" ...... ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" ",
+" "};
diff --git a/dotfiles/fluxbox/styles/OrangeBlack/theme.cfg b/dotfiles/fluxbox/styles/OrangeBlack/theme.cfg
@@ -0,0 +1,217 @@
+!----------------------------------------------------------------------------------------------
+! This work is licensed under the Creative Commons
+! Attribution-NonCommercial-ShareAlike License.
+! To view a copy of this license, visit
+! http://creativecommons.org/licenses/by-nc-sa/1.0/
+!----------------------------------------------------------------------------------------------
+! Style Name: Orange_Black
+! Style Author: endel (endel@tlen.pl)
+! Style Date: 26.03.2007
+!----------------------------------------------------------------------------------------------
+
+*font: DejaVu-10:Bold
+rootCommand: fbsetbg -f ~/.fluxbox/styles/OrangeBlack/blackabstract.png
+
+!----------------------------------------------------------------------------------------------
+
+toolbar.bevelWidth: 0
+
+toolbar.borderWidth:
+toolbar.borderColor:
+
+toolbar.height: 16
+toolbar.justify: center
+
+toolbar:
+toolbar.pixmap: toolbar.xpm
+toolbar.color:
+toolbar.colorTo:
+
+toolbar.shaped: false
+toolbar.clock:
+toolbar.clock.pixmap: toolbar.xpm
+toolbar.clock.justify: center
+toolbar.clock.color:
+toolbar.clock.colorTo:
+toolbar.clock.textColor: #ffffff
+
+toolbar.workspace:
+toolbar.workspace.pixmap: toolbar.xpm
+toolbar.workspace.justify: center
+toolbar.workspace.color:
+toolbar.workspace.colorTo:
+toolbar.workspace.textColor: #ffffff
+
+toolbar.button:
+toolbar.button.pixmap: toolbar.xpm
+toolbar.button.color:
+toolbar.button.colorTo:
+toolbar.button.picColor: #ffffff
+toolbar.button.pressed:
+toolbar.button.pressed.pixmap: toolbar.xpm
+toolbar.button.pressed.color:
+toolbar.button.pressed.colorTo:
+toolbar.button.pressed.picColor:
+
+toolbar.iconbar.empty:
+toolbar.iconbar.empty.pixmap: toolbar.xpm
+toolbar.iconbar.empty.color:
+toolbar.iconbar.empty.colorTo:
+
+toolbar.iconbar.focused.borderWidth: 0
+toolbar.iconbar.focused.borderColor:
+toolbar.iconbar.focused:
+toolbar.iconbar.focused.pixmap: toolbar_focused.xpm
+toolbar.iconbar.focused.color:
+toolbar.iconbar.focused.colorTo:
+toolbar.iconbar.focused.textColor: #ffffff
+toolbar.iconbar.focused.justify: center
+
+toolbar.iconbar.unfocused.borderWidth:
+toolbar.iconbar.unfocused.borderColor:
+toolbar.iconbar.unfocused:
+toolbar.iconbar.unfocused.pixmap: toolbar.xpm
+toolbar.iconbar.unfocused.color:
+toolbar.iconbar.unfocused.colorTo:
+toolbar.iconbar.unfocused.textColor: #d5d5d5
+toolbar.iconbar.unfocused.justify: center
+
+!----------------------------------------------------------------------------------------------
+
+menu.bevelWidth: 1
+menu.itemHeight: 14
+menu.titleHeight: 14
+
+menu.roundCorners:
+menu.borderColor:
+menu.borderWidth: 0
+
+menu.bullet.position: right
+menu.bullet: empty
+
+menu.submenu.pixmap: bullet.xpm
+menu.hilite.submenu.pixmap: bullet_hilite.xpm
+
+menu.selected.pixmap: select.xpm
+menu.hilite.selected.pixmap: select_hilite.xpm
+
+menu.unselected.pixmap: unselect.xpm
+menu.hilite.unselected.pixmap: unselect_hilite.xpm
+
+menu.title:
+menu.title.pixmap: title.xpm
+menu.title.justify: center
+menu.title.color:
+menu.title.colorTo:
+menu.title.textColor: #ffffff
+
+menu.frame:
+menu.frame.pixmap:
+menu.frame.justify: left
+menu.frame.color: #000000
+menu.frame.colorTo:
+menu.frame.textColor: #ffffff
+menu.frame.disableColor: #d5d5d5
+
+menu.hilite:
+menu.hilite.pixmap: hilite.xpm
+menu.hilite.color: #FF9C3B
+menu.hilite.colorTo:
+menu.hilite.textColor: #ffffff
+
+!----------------------------------------------------------------------------------------------
+
+window.bevelWidth: 0
+window.shade:
+window.borderWidth:
+window.borderColor:
+window.roundCorners:
+window.justify: center
+
+window.title.height: 23
+
+window.title.focus:
+window.title.focus.pixmap: title.xpm
+window.title.focus.color:
+window.title.focus.colorTo:
+window.title.unfocus:
+window.title.unfocus.pixmap: title.xpm
+window.title.unfocus.color:
+window.title.unfocus.colorTo:
+
+window.label.focus:
+window.label.focus.pixmap: title.xpm
+window.label.focus.color:
+window.label.focus.colorTo:
+window.label.focus.textColor: #ffffff
+window.label.unfocus:
+window.label.unfocus.pixmap: title.xpm
+window.label.unfocus.color:
+window.label.unfocus.colorTo:
+window.label.unfocus.textColor: #d5d5d5
+
+window.button.focus:
+window.button.focus.color:
+window.button.focus.colorTo:
+window.button.focus.picColor:
+window.button.unfocus:
+window.button.unfocus.Color:
+window.button.unfocus.ColorTo:
+window.button.unfocus.picColor:
+window.button.pressed:
+window.button.pressed.color:
+window.button.pressed.colorTo:
+window.button.pressed.picColor:
+
+window.shade.pixmap:
+window.shade.unfocus.pixmap:
+window.shade.pressed.pixmap:
+
+window.unshade.pixmap:
+window.unshade.unfocus.pixmap:
+window.unshade.pressed.pixmap:
+
+window.menuicon.pixmap:
+window.menuicon.unfocus.pixmap:
+window.menuicon.pressed.pixmap:
+
+window.close.pixmap: close.xpm
+window.close.unfocus.pixmap: close.xpm
+window.close.pressed.pixmap: close_pressed.xpm
+
+window.iconify.pixmap: min.xpm
+window.iconify.unfocus.pixmap: min.xpm
+window.iconify.pressed.pixmap: min_pressed.xpm
+
+window.maximize.pixmap: max.xpm
+window.maximize.unfocus.pixmap: max.xpm
+window.maximize.pressed.pixmap: max_pressed.xpm
+
+window.stick.pixmap: stick.xpm
+window.stick.unfocus.pixmap: stick.xpm
+window.stick.pressed.pixmap: stick_pressed.xpm
+
+window.stuck.pixmap: stuck.xpm
+window.stuck.unfocus.pixmap: stuck.xpm
+window.stuck.pressed.pixmap: stuck.xpm
+
+window.handle.focus:
+window.handle.focus.pixmap: title.xpm
+window.handle.focus.color:
+window.handle.focus.colorTo:
+window.handle.unfocus:
+window.handle.unfocus.pixmap: title.xpm
+window.handle.unfocus.color:
+window.handle.unfocus.colorTo:
+window.handleWidth: 2
+
+window.grip.focus:
+window.grip.focus.pixmap: title.xpm
+window.grip.focus.color:
+window.grip.focus.colorTo:
+window.grip.unfocus:
+window.grip.unfocus.pixmap: title.xpm
+window.grip.unfocus.color:
+window.grip.unfocus.colorTo:
+
+!----------------------------------------------------------------------------------------------
diff --git a/dotfiles/fluxbox/windowmenu b/dotfiles/fluxbox/windowmenu
@@ -0,0 +1,15 @@
+[begin]
+ [shade]
+ [stick]
+ [maximize]
+ [iconify]
+ [raise]
+ [lower]
+ [settitledialog]
+ [sendto]
+ [layer]
+ [alpha]
+ [extramenus]
+ [separator]
+ [close]
+[end]
diff --git a/dotfiles/gittemplates/hooks/prepare-commit-msg b/dotfiles/gittemplates/hooks/prepare-commit-msg
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+if [ "$2" == "" ] ; then
+ # add diff stat
+ #not good, message is not empty and changes are always commited - git diff --staged --stat >> "$1" 2>/dev/null
+
+ # add diff stat and comment lines
+ #git diff --staged --stat 2> /dev/null | awk '{ printf "#"; print}' >> "$1" 2>/dev/null
+ git diff --staged --stat | awk '{ printf "#"; print}' | cat - "$1" | sponge "$1"
+fi
diff --git a/dotfiles/i3/config b/dotfiles/i3/config
@@ -0,0 +1,173 @@
+# This file has been auto-generated by i3-config-wizard(1).
+# It will not be overwritten, so edit it as you like.
+#
+# Should you change your keyboard layout some time, delete
+# this file and re-run i3-config-wizard(1).
+#
+
+# i3 config file (v4)
+#
+# Please see http://i3wm.org/docs/userguide.html for a complete reference!
+
+set $mod Mod4
+
+# Font for window titles. Will also be used by the bar unless a different font
+# is used in the bar {} block below.
+# This font is widely installed, provides lots of unicode glyphs, right-to-left
+# text rendering and scalability on retina/hidpi displays (thanks to pango).
+font pango:DejaVu Sans Mono 8
+# Before i3 v4.8, we used to recommend this one as the default:
+# font -misc-fixed-medium-r-normal--13-120-75-75-C-70-iso10646-1
+# The font above is very space-efficient, that is, it looks good, sharp and
+# clear in small sizes. However, its unicode glyph coverage is limited, the old
+# X core fonts rendering does not support right-to-left and this being a bitmap
+# font, it doesn’t scale on retina/hidpi displays.
+
+# Use Mouse+$mod to drag floating windows to their wanted position
+floating_modifier $mod
+
+# start a terminal
+#bindsym $mod+Return exec i3-sensible-terminal
+#bindsym $mod+a exec i3-sensible-terminal
+bindsym $mod+a exec ~/tmp/st/stBright
+bindsym $mod+Shift+a exec ~/tmp/st/stDark
+bindsym $mod+x exec mlterm -O right --bg=#000000 --fg=#E0E0E0
+
+# kill focused window
+bindsym $mod+q kill
+
+# start dmenu (a program launcher)
+#bindsym $mod+d exec dmenu_run
+bindsym Control+Escape exec dmenu_run
+
+# There also is the (new) i3-dmenu-desktop which only displays applications
+# shipping a .desktop file. It is a wrapper around dmenu, so you need that
+# installed.
+# bindsym $mod+d exec --no-startup-id i3-dmenu-desktop
+
+# change focus
+bindsym $mod+j focus left
+bindsym $mod+k focus down
+bindsym $mod+l focus up
+bindsym $mod+semicolon focus right
+
+# alternatively, you can use the cursor keys:
+bindsym $mod+Left focus left
+bindsym $mod+Down focus down
+bindsym $mod+Up focus up
+bindsym $mod+Right focus right
+
+# move focused window
+bindsym $mod+Shift+j move left
+bindsym $mod+Shift+k move down
+bindsym $mod+Shift+l move up
+bindsym $mod+Shift+semicolon move right
+
+# alternatively, you can use the cursor keys:
+bindsym $mod+Shift+Left move left
+bindsym $mod+Shift+Down move down
+bindsym $mod+Shift+Up move up
+bindsym $mod+Shift+Right move right
+
+# split in horizontal orientation
+bindsym $mod+h split h
+
+# split in vertical orientation
+bindsym $mod+v split v
+
+# enter fullscreen mode for the focused container
+bindsym $mod+m fullscreen
+
+# change container layout (stacked, tabbed, toggle split)
+bindsym $mod+s layout stacking
+bindsym $mod+w layout tabbed
+bindsym $mod+e layout toggle split
+
+# toggle tiling / floating
+bindsym $mod+Shift+space floating toggle
+
+# change focus between tiling / floating windows
+bindsym $mod+space focus mode_toggle
+
+# focus the parent container
+bindsym $mod+p focus parent
+
+# focus the child container
+#bindsym $mod+d focus child
+
+# switch to workspace
+bindsym $mod+1 workspace 1
+bindsym $mod+2 workspace 2
+bindsym $mod+3 workspace 3
+bindsym $mod+4 workspace 4
+bindsym $mod+5 workspace 5
+bindsym $mod+6 workspace 6
+bindsym $mod+7 workspace 7
+bindsym $mod+8 workspace 8
+bindsym $mod+9 workspace 9
+bindsym $mod+0 workspace 10
+
+# move focused container to workspace
+bindsym $mod+F1 move container to workspace 1
+bindsym $mod+F2 move container to workspace 2
+bindsym $mod+F3 move container to workspace 3
+bindsym $mod+F4 move container to workspace 4
+bindsym $mod+F5 move container to workspace 5
+bindsym $mod+F6 move container to workspace 6
+bindsym $mod+F7 move container to workspace 7
+bindsym $mod+F8 move container to workspace 8
+bindsym $mod+F9 move container to workspace 9
+#bindsym $mod+F0 move container to workspace 10
+
+# reload the configuration file
+bindsym $mod+Shift+c reload
+# restart i3 inplace (preserves your layout/session, can be used to upgrade i3)
+bindsym $mod+Shift+r restart
+# exit i3 (logs you out of your X session)
+bindsym $mod+Shift+e exec "i3-nagbar -t warning -m 'You pressed the exit shortcut. Do you really want to exit i3? This will end your X session.' -b 'Yes, exit i3' 'i3-msg exit'"
+
+# resize window (you can also use the mouse for that)
+mode "resize" {
+ # These bindings trigger as soon as you enter the resize mode
+
+ # Pressing left will shrink the window’s width.
+ # Pressing right will grow the window’s width.
+ # Pressing up will shrink the window’s height.
+ # Pressing down will grow the window’s height.
+ bindsym j resize shrink width 10 px or 10 ppt
+ bindsym k resize grow height 10 px or 10 ppt
+ bindsym l resize shrink height 10 px or 10 ppt
+ bindsym semicolon resize grow width 10 px or 10 ppt
+
+ # same bindings, but for the arrow keys
+ bindsym Left resize shrink width 10 px or 10 ppt
+ bindsym Down resize grow height 10 px or 10 ppt
+ bindsym Up resize shrink height 10 px or 10 ppt
+ bindsym Right resize grow width 10 px or 10 ppt
+
+ # back to normal: Enter or Escape
+ bindsym Return mode "default"
+ bindsym Escape mode "default"
+}
+
+bindsym $mod+r mode "resize"
+
+# Start i3bar to display a workspace bar (plus the system information i3status
+# finds out, if available)
+#bar {
+# status_command i3status
+#}
+
+
+# MY CONFIG
+exec_always --no-startup-id feh --bg-scale ~/.fluxbox/backgrounds/wallpaper_easydoneitnet.png
+bindsym $mod+t exec thunar
+# firefox 45
+#bindsym $mod+z exec firefox -ProfileManager -no-remote
+bindsym $mod+z exec palemoon -ProfileManager -no-remote
+#bindsym $mod+d exec xfce4-mixer
+bindsym $mod+d exec aumix
+bindsym $mod+c exec edi_desktop
+#bindsym $mod+t exec --no-startup-id i3-msg 'workspace 4;exec nautilus;workspace 4'
+#bindsym $mod+z exec --no-startup-id i3-msg 'workspace 4;exec firefox -ProfileManager -no-remote;workspace 4'
+#bindsym $mod+d exec --no-startup-id i3-msg 'workspace 4;exec xfce4-mixer;workspace 4'
diff --git a/dotfiles/mc/Tree b/dotfiles/mc/Tree
@@ -0,0 +1 @@
+Midnight Commander TreeStore v 2.0
diff --git a/dotfiles/mc/cedit/cooledit.clip b/dotfiles/mc/cedit/cooledit.clip
@@ -0,0 +1 @@
+webdev+
\ No newline at end of file
diff --git a/dotfiles/mc/cedit/cooledit.macros b/dotfiles/mc/cedit/cooledit.macros
diff --git a/dotfiles/mc/ini b/dotfiles/mc/ini
@@ -0,0 +1,172 @@
+
+[terminal:screen]
+insert=\e[24~
+
+[Midnight-Commander]
+show_backups=1
+show_dot_files=1
+verbose=1
+mark_moves_down=1
+pause_after_run=1
+shell_patterns=1
+auto_save_setup=1
+auto_menu=0
+use_internal_view=1
+use_internal_edit=0
+clear_before_exec=1
+mix_all_files=0
+fast_reload=0
+fast_reload_msg_shown=0
+confirm_delete=1
+confirm_overwrite=1
+confirm_execute=0
+confirm_exit=1
+safe_delete=0
+mouse_repeat_rate=100
+double_click_speed=250
+use_8th_bit_as_meta=0
+confirm_view_dir=0
+mouse_move_pages=1
+mouse_move_pages_viewer=1
+fast_refresh=0
+navigate_with_arrows=0
+drop_menus=0
+wrap_mode=0
+old_esc_mode=0
+cd_symlinks=1
+show_all_if_ambiguous=0
+have_fast_cpu=0
+max_dirt_limit=10
+torben_fj_mode=0
+use_file_to_guess_type=1
+alternate_plus_minus=0
+only_leading_plus_minus=1
+show_output_starts_shell=0
+panel_scroll_pages=1
+xtree_mode=0
+num_history_items_recorded=60
+file_op_compute_totals=1
+vfs_timeout=60
+ftpfs_directory_timeout=900
+use_netrc=1
+ftpfs_retry_seconds=30
+ftpfs_always_use_proxy=0
+ftpfs_use_passive_connections=1
+ftpfs_use_unix_list_options=1
+ftpfs_first_cd_then_ls=1
+editor_word_wrap_line_length=72
+editor_key_emulation=0
+editor_tab_spacing=8
+editor_fill_tabs_with_spaces=0
+editor_return_does_auto_indent=1
+editor_backspace_through_tabs=0
+editor_fake_half_tabs=1
+editor_option_save_mode=0
+editor_option_save_position=1
+editor_option_backup_ext_int=-1
+editor_option_auto_para_formatting=0
+editor_option_typewriter_wrap=0
+editor_edit_confirm_save=1
+editor_syntax_highlighting=1
+nice_rotating_dash=1
+horizontal_split=0
+confirm_directory_hotlist_delete=1
+fish_directory_timeout=900
+editor_visible_tabs=1
+editor_visible_spaces=1
+mcview_remember_file_position=0
+editor_backup_extension=~
+
+kilobyte_si=0
+mouse_close_dialog=0
+ftpfs_use_passive_connections_over_proxy=0
+editor_persistent_selections=1
+editor_cursor_beyond_eol=1
+editor_line_state=0
+editor_simple_statusbar=0
+editor_check_new_line=0
+auto_fill_mkdir_name=1
+reverse_files_only=1
+copymove_persistent_attr=1
+select_flags=6
+skin=default
+keymap=mc.keymap
+auto_save_setup_panels=1
+
+ignore_ftp_chattr_errors=true
+
+[Layout]
+equal_split=1
+first_panel_size=89
+message_visible=1
+keybar_visible=1
+xterm_title=1
+output_lines=0
+command_prompt=1
+menubar_visible=1
+show_mini_info=1
+permission_mode=0
+filetype_mode=1
+
+free_space=1
+
+[Dirs]
+other_dir=~/
+current_is_left=1
+
+[New Left Panel]
+display=listing
+reverse=0
+case_sensitive=1
+sort_order=name
+list_mode=full
+user_format=half type name | size | perm
+user_status0=half type name | size | perm
+user_status1=half type name | size | perm
+user_status2=half type name | size | perm
+user_status3=half type name | size | perm
+user_mini_status=0
+panel_display_codepage=Other_8_bit
+exec_first=0
+
+[New Right Panel]
+display=listing
+reverse=0
+case_sensitive=1
+sort_order=name
+list_mode=user
+user_format=half type name | size | perm
+user_status0=half type name | size | perm
+user_status1=half type name | size | perm
+user_status2=half type name | size | perm
+user_status3=half type name | size | perm
+user_mini_status=0
+panel_display_codepage=Other_8_bit
+exec_first=0
+
+[Misc]
+ftpfs_password=anonymous@
+ftp_proxy_host=gate
+display_codepage=UTF-8
+ftp_codepage=Other_8_bit
+
+find_ignore_dirs=
+source_codepage=Other_8_bit
+
+[terminal:xterm]
+insert=\e[24~
+
+[Colors]
+base_color=normal=black,default:marked=,default:errors=,default:input=,default:gauge=,default:reverse=,default:menu=,default:menusel=,default:menuhot=,default:menuhotsel=,default:dnormal=,default:dhotnormal=,default:dhotfocus=,default:helpnormal=,default:helpitalic=,default:helpbold=,default:helplink=,default:helpslink=,default:viewunderline=,default:executable=,default:directory=,default:link=,default:stalelink=,default:device=,default:special=,default:core=,default:editnormal=,default:editbold=,default:editmarked=,default
+
+screen=
+color_terminals=
+
+xterm=
+
+linux=
+
+[Panelize]
+Find *.orig after patching=find . -name \\*.orig -print
+Find SUID and SGID programs=find . \\( \\( -perm -04000 -a -perm +011 \\) -o \\( -perm -02000 -a -perm +01 \\) \\) -print
+Find rejects after patching=find . -name \\*.rej -print
diff --git a/dotfiles/mc/panels.ini b/dotfiles/mc/panels.ini
@@ -0,0 +1,35 @@
+
+[Dirs]
+other_dir=/home/
+current_is_left=0
+
+[New Left Panel]
+display=listing
+reverse=0
+case_sensitive=1
+sort_order=name
+list_mode=full
+user_format=half type name | size | perm
+user_status0=half type name | size | perm
+user_status1=half type name | size | perm
+user_status2=half type name | size | perm
+user_status3=half type name | size | perm
+user_mini_status=0
+panel_display_codepage=Other_8_bit
+exec_first=0
+
+[New Right Panel]
+display=listing
+reverse=0
+case_sensitive=1
+sort_order=name
+list_mode=full
+user_format=half type name | size | perm
+user_status0=half type name | size | perm
+user_status1=half type name | size | perm
+user_status2=half type name | size | perm
+user_status3=half type name | size | perm
+user_mini_status=0
+panel_display_codepage=Other_8_bit
+exec_first=0
+
diff --git a/dotfiles/vim/after/ftplugin/coffee.vim b/dotfiles/vim/after/ftplugin/coffee.vim
@@ -0,0 +1,3 @@
+setlocal expandtab
+setlocal shiftwidth=2
+setlocal tabstop=2
diff --git a/dotfiles/vim/after/ftplugin/css.vim b/dotfiles/vim/after/ftplugin/css.vim
@@ -0,0 +1,3 @@
+setlocal expandtab
+setlocal shiftwidth=2
+setlocal tabstop=2
diff --git a/dotfiles/vim/after/ftplugin/html.vim b/dotfiles/vim/after/ftplugin/html.vim
@@ -0,0 +1,3 @@
+setlocal expandtab
+setlocal shiftwidth=2
+setlocal tabstop=2
diff --git a/dotfiles/vim/after/ftplugin/javascript.vim b/dotfiles/vim/after/ftplugin/javascript.vim
@@ -0,0 +1,3 @@
+setlocal expandtab
+setlocal shiftwidth=2
+setlocal tabstop=2
diff --git a/dotfiles/vim/filetype.vim b/dotfiles/vim/filetype.vim
@@ -0,0 +1 @@
+au BufNewFile,BufRead *.txt setf lalista
diff --git a/dotfiles/vim/ftdetect/lalista.vim b/dotfiles/vim/ftdetect/lalista.vim
@@ -0,0 +1 @@
+au BufNewFile,BufRead *.txt setf lalista
diff --git a/dotfiles/vim/plugin/rc.py b/dotfiles/vim/plugin/rc.py
@@ -0,0 +1,10 @@
+import vim
+
+i = 0
+cb = vim.current.buffer
+for l in cb:
+ if l[:2] == '# ':
+ cb[i] = l[2:]
+ if l == '':
+ break
+ i+=1
diff --git a/dotfiles/vim/plugin/v.vim b/dotfiles/vim/plugin/v.vim
@@ -0,0 +1,10 @@
+if !has('python')
+ finish
+endif
+
+function! RemoveComments()
+ pyfile ~/.vim/plugin/rc.py
+endfunc
+
+command! Rc call RemoveComments()
+map \ :Rc<CR>
diff --git a/dotfiles/vim/syntax/lalista.vim b/dotfiles/vim/syntax/lalista.vim
@@ -0,0 +1,116 @@
+" Vim syntax file
+" Language: Production Time Logs (lalista)
+" Maintainer: Remy Noulin
+" Filenames: *.lalista
+" Last Change: 24th August 2006
+" Web Page: http://mpggalaxy.mine.nu/
+"
+
+" For version 5.x: Clear all syntax items
+" For version 6.x: Quit when a syntax file was already loaded
+if version < 600
+ syntax clear
+elseif exists("b:current_syntax")
+ finish
+endif
+
+syn case ignore
+
+syn match lalistaTodo "^\*\*\*\*$"
+syn match lalistaOperator ">>.*$"
+syn match lalistaOperator "^pb.*"
+syn match lalistaOperator ".*!.*"
+syn match lalistaSwitch "^\".*"
+syn match lalistaSwitch "^\'.*"
+syn match lalistaSwitch ".*?.*"
+syn match lalistaString "ToDO :"
+syn match lalistaString "MAILS :"
+syn match lalistaString "DONE :"
+syn match lalistaString "give up"
+syn match lalistaImplicit "^\.\..*"
+
+syn match lalistaCmd "c[nro]h\S*"
+syn match lalistaCmd "LDX_\S*"
+syn match lalistaCmd "BAS_\S*"
+syn match lalistaCmd "al0_\S*"
+syn match lalistaCmd "tb0_\S*"
+syn match lalistaCmd "avsw_\S*"
+syn match lalistaCmd "svsw_\S*"
+syn match lalistaCmd "net_\S*"
+syn match lalistaCmd "hal_\S*"
+syn match lalistaCmd "hl1_\S*"
+syn match lalistaCmd "tst_\S*"
+syn match lalistaCmd "+ .*"
+
+syn match lalistaRepeat "> .*"
+syn match lalistaRepeat "--.*"
+syn match lalistaRepeat "^-.*"
+
+syn match lalistaComment "^.*\*\*\*\*\*\*\*\*.*$" contains=lalistaTodo,@lalistaNumber,lalistaVariable,lalistaArgument
+syn match lalistaComment "^#.*"
+syn match lalistaComment "http\S*"
+syn match lalistaComment "\\\\\S*"
+syn match lalistaComment ".:\\\S*"
+syn match lalistaComment "\s/\S*"
+syn match lalistaComment "^/\S*"
+syn match lalistaComment "^\/\/.*"
+syn match lalistaComment "\.\.\./\S*"
+
+syn keyword lalistaOperator killed ko regression import export scan fido
+syn keyword lalistaString done ok failed rejected delivered no updated corrected generated created mailed
+syn keyword lalistaString bounced niet regenerated finished added solved changed removed modified
+syn keyword lalistaString marita compact marika edna asta anja camilla kajsa ulrika miranda xgam egg wcdma
+syn keyword lalistaString app acc avsw svsw net
+syn keyword lalistaRepeat vobs local usr
+
+" Define the default highlighting.
+" For version 5.7 and earlier: only when not done already
+" For version 5.8 and later: only when an item doesn't have highlighting yet
+if version >= 508 || !exists("did_lalista_syntax_inits")
+ if version < 508
+ let did_lalista_syntax_inits = 1
+ command -nargs=+ HiLink hi link <args>
+ else
+ command -nargs=+ HiLink hi def link <args>
+ endif
+
+ HiLink lalistaTodo Todo
+
+ HiLink lalistaStatement Statement
+ HiLink lalistaCommands lalistaStatement
+ HiLink lalistaLabel Label
+ HiLink lalistaConditional Conditional
+ HiLink lalistaRepeat Type
+
+ HiLink lalistaOperator Operator
+ HiLink lalistaEchoOperator lalistaOperator
+ HiLink lalistaIfOperator lalistaOperator
+
+ HiLink lalistaArgument Identifier
+ HiLink lalistaIdentifier Identifier
+ HiLink lalistaVariable lalistaIdentifier
+
+ HiLink lalistaSpecialChar SpecialChar
+ HiLink lalistaString String
+ HiLink lalistaNumber Number
+ HiLink lalistaInteger lalistaNumber
+ HiLink lalistaHex lalistaNumber
+ HiLink lalistaBinary lalistaNumber
+ HiLink lalistaOctal lalistaNumber
+
+ HiLink lalistaComment Comment
+ HiLink lalistaImplicit Function
+
+ HiLink lalistaSwitch Special
+
+ HiLink lalistaCmd PreProc
+
+ delcommand HiLink
+endif
+
+let b:current_syntax = "lalista"
+
+set foldmethod=expr
+set foldexpr=getline(v:lnum-1)=~'^\\*\\*\\*\\*$'&&getline(v:lnum)=~'\\S'?'>1':1
+
+" vim: ts=8
diff --git a/dotfiles/webs.sh b/dotfiles/webs.sh
@@ -0,0 +1,17 @@
+query=""
+status='start'
+for p in "$@"
+do
+ if [ "$status" = "start" ]; then
+ query=$p
+ status=processing
+ else
+ query=$query+$p
+ fi
+done
+
+echo Query: $query
+
+echo "https://www.google.se/search?q="$query
+w3m -no-cookie -s -W "https://www.google.se/search?q="$query
+#lynx -accept_all_cookies -notitle -nocolor -nolog -nopause -noprint -nostatus -noreferer "https://www.google.se/search?q="$query